## wesnoth 1.6.5-maemo6

=== CMakeLists.txt ===
# most stuff should be implemented so far, mgoe should know the details (he has done all the work...)
# what is not working so far:
# * some other smaller stuff
# * nice INSTALL howto
# * install .desktop files taking binary prefix and suffix into account

# set minimum version and make sure that things work with cmake 2.6, too
cmake_minimum_required(VERSION 2.4.6)

if(COMMAND cmake_policy)
    cmake_policy(SET CMP0003 NEW)
    cmake_policy(SET CMP0005 OLD)
endif(COMMAND cmake_policy)

set(CMAKE_ALLOW_LOOSE_LOOP_CONSTRUCTS true)

# use our own version of FindBoost.cmake and other Find* scripts
set(CMAKE_MODULE_PATH ${CMAKE_SOURCE_DIR}/cmake)

# find all deps needed, pkgconfig is needed to find pangocairo
find_package( SDL 1.2.7 REQUIRED )
find_package( Boost 1.33 REQUIRED COMPONENTS iostreams regex )
find_package( PkgConfig REQUIRED )
# yes, gettext is *required* even when NLS is deactivated (this is to compile
# src/gettext.cpp since it includes libintl.h)
find_package( Gettext REQUIRED )
find_package( FriBiDi )
find_package( PythonInterp 2.4 )
find_package( PythonCustom )
find_package( X11 )

#needed to get some SDL defines in... (as of rev31694 -D_GNU_SOURCE=1 is required!)
set(SDL_CONFIG "sdl-config" CACHE STRING "Path to sdl-config script")
exec_program(${SDL_CONFIG} ARGS "--cflags" OUTPUT_VARIABLE SDL_CFLAGS)
add_definitions(${SDL_CFLAGS})

#check for some compiler/arch specific things and export defines accordingly...
INCLUDE (SearchForStuff)

#
# Options
#

#Path options
set(BINDIR "bin" CACHE STRING "Where to install binaries")
set(MANDIR "man" CACHE STRING "Where to install manpages")
set(DATAROOTDIR "${CMAKE_INSTALL_PREFIX}/share" CACHE STRING "Sets the root of data directories to a non-default location")
set(DOCDIR "${DATAROOTDIR}/doc/wesnoth" CACHE STRING "Sets the doc directory to a non-default location.")
set(DATADIRNAME "wesnoth" CACHE STRING "change the name of the directory for the read-only architecture-independent game data")
set(EXECUTABLE_OUTPUT_PATH "${CMAKE_BINARY_DIR}" CACHE STRING "change the dir where binaries are placed right at compile time")
set(LOCALEDIR "translations" CACHE STRING "change the name of the locale data directory to a non-default name")
set(PREFERENCES_DIR "" CACHE STRING "Use a non-default preferences directory (.wesnoth on unix)")

#Game options
option(ENABLE_FRIBIDI "Enable FriBIDi support" ON)
set(GUI "normal" CACHE STRING "Set for GUI reductions for resolutions down to 320x240 (PDAs) (normal|tiny)")

#server options
set(SERVER_UID "" CACHE STRING "User id of the user who runs wesnothd")
set(SERVER_GID "" CACHE STRING "Group id of the user who runs wesnothd")
set(FIFO_DIR "/var/run/wesnothd" CACHE STRING "Directory for the wesnothd fifo socket file")

#build options
option(ENABLE_GAME "Enable compilation of the game" ON)
option(ENABLE_CAMPAIGN_SERVER "Enable compilation of campaign server")
option(ENABLE_SERVER "Enable compilation of server" ON)
option(ENABLE_EDITOR "Enable compilation of the new map editor into the game executable" ON)
option(ENABLE_TOOLS "Enable building and installation of tools for artists and WML maintainers")
option(ENABLE_TESTS "Build unit tests")
option(ENABLE_NLS "Enable building of translations" ON)
option(ENABLE_DUMMY_LOCALES "Enable installation of Wesnoth own private locales" OFF)
option(ENABLE_POOL_ALLOC "Enable custom pool malloc" OFF)
option(ENABLE_LOW_MEM "Reduce memory usage by removing extra functionality" OFF)
if (UNIX AND NOT APPLE AND NOT CYGWIN)
  option(ENABLE_DESKTOP_ENTRY "enable installation of desktop entry files" ON)
  set(ICONDIR "${DATAROOTDIR}/pixmaps" CACHE STRING "Sets the icon directory for desktop entry to a non-default location.")
  set(DESKTOPDIR "${DATAROOTDIR}/applications/" CACHE STRING "Sets the desktop file directory for desktop entry to a non-default location.")
endif(UNIX AND NOT APPLE AND NOT CYGWIN)

set(BINARY_SUFFIX "" CACHE STRING "Suffix behind all binaries")
set(BINARY_PREFIX "" CACHE STRING "Prefix in front of all binaries")

#
# Handle options (set paths/definitions/etc...)
#

# Set our own default debug flags at first run
if(NOT CONFIGURED)
  set(CMAKE_CXX_FLAGS_DEBUG "-O0 -DDEBUG -ggdb3 -W -Wall -ansi" CACHE STRING "Flags used by the compiler during debug builds." FORCE)
endif(NOT CONFIGURED)

#Add build-type: DEBUGSTRICT
set(CMAKE_CXX_FLAGS_DEBUGSTRICT "-O0 -DDEBUG -ggdb3 -W -Wall -ansi -Werror -Wno-unused -Wno-sign-compare" CACHE STRING "Flags used by the compiler during strict debug builds.")
set(CMAKE_EXE_LINKER_FLAGS_DEBUGSTRICT "${CMAKE_EXE_LINKER_FLAGS_DEBUG}" CACHE STRING "Flags used for linking binaries during strict debug builds.")
mark_as_advanced(CMAKE_CXX_FLAGS_DEBUGSTRICT CMAKE_EXE_LINKER_FLAGS_DEBUGSTRICT)

# compose datadir path of datarootdir and datadirname
set(DATADIR ${DATAROOTDIR}/${DATADIRNAME})

if(NOT WIN32)
  add_definitions(-DWESNOTH_PATH='\"${DATADIR}\"')
endif(NOT WIN32)

if(NOT ENABLE_POOL_ALLOC OR WIN32)
  add_definitions(-DDISABLE_POOL_ALLOC)
endif(NOT ENABLE_POOL_ALLOC OR WIN32)

if(NOT ENABLE_EDITOR)
  add_definitions(-DDISABLE_EDITOR2)
endif(NOT ENABLE_EDITOR)

if(X11_FOUND)
  add_definitions(-D_X11)
endif(X11_FOUND)

add_definitions(-DHAS_RELATIVE_LOCALEDIR)
add_definitions(-DLOCALEDIR='\"${LOCALEDIR}\"')
set(LOCALE_INSTALL ${DATADIR}/${LOCALEDIR})

add_definitions(-DFIFODIR='\"${FIFO_DIR}\"')

if(PREFERENCES_DIR)
  add_definitions(-DPREFERENCES_DIR='\"${PREFERENCES_DIR}\"')
endif(PREFERENCES_DIR)

if(GUI STREQUAL "tiny")
  add_definitions(-DUSE_TINY_GUI)
endif(GUI STREQUAL "tiny")

if(ENABLE_FRIBIDI AND FRIBIDI_LIBRARIES)
  add_definitions(-DHAVE_FRIBIDI)
elseif(ENABLE_FRIBIDI AND NOT FRIBIDI_LIBRARIES)
  message("Could not find FriBiDi. Disabling FriBiDi support.")
endif()

if(ENABLE_LOW_MEM)
  add_definitions(-DLOW_MEM)
endif(ENABLE_LOW_MEM)

#
# Libraries that are only required by some targets
#

if(ENABLE_TOOLS OR ENABLE_GAME OR ENABLE_TESTS)
  find_package( SDL_image 1.2 REQUIRED )
endif(ENABLE_TOOLS OR ENABLE_GAME OR ENABLE_TESTS)
if(ENABLE_GAME OR ENABLE_TESTS)
  find_package( SDL_mixer 1.2 REQUIRED )
  find_package( SDL_ttf 2.0.8 REQUIRED )
endif(ENABLE_GAME OR ENABLE_TESTS)
if(ENABLE_GAME OR ENABLE_SERVER OR ENABLE_CAMPAIGN_SERVER OR ENABLE_TESTS)
  find_package( SDL_net REQUIRED )
endif(ENABLE_GAME OR ENABLE_SERVER OR ENABLE_CAMPAIGN_SERVER OR ENABLE_TESTS)
if(ENABLE_TOOLS)
  find_package( ZLIB REQUIRED )
  find_package( PNG REQUIRED )
endif(ENABLE_TOOLS)
if(ENABLE_TESTS)
	find_package( Boost 1.33 REQUIRED COMPONENTS unit_test_framework )
endif(ENABLE_TESTS)
if(ENABLE_GAME)
	#use pkg-config to find pangocairo:
	pkg_check_modules( PANGOCAIRO REQUIRED pangocairo>=1.14.8 )
	#use pkg-config to find fontconfig:
	pkg_check_modules( FONTCONFIG REQUIRED fontconfig>=2.4.1 )
endif(ENABLE_GAME)

# get languages
file(READ po/LINGUAS LINGUAS)
string(REPLACE "\n" "" LINGUAS ${LINGUAS})
separate_arguments(LINGUAS)

#
# Include subdirectories
#

add_subdirectory(doc)

if (GETTEXT_FOUND AND ENABLE_NLS)
  add_subdirectory(po)
  find_program (LOCALEDEF localedef)
  if (LOCALEDEF AND ENABLE_DUMMY_LOCALES)
    #
    #create dummy-locales
    #
  	add_definitions(-DUSE_DUMMYLOCALES)
    
    set(DUMMY_LOCALE_C_DIR ${CMAKE_SOURCE_DIR}/locales/C)
  
    add_custom_command(OUTPUT ${DUMMY_LOCALE_C_DIR}
                       COMMAND mkdir -p ${DUMMY_LOCALE_C_DIR} 
                       && echo | LOCALEDEF -c ${DUMMY_LOCALE_C_DIR} 2> /dev/null || true)

    file(GLOB_RECURSE LANGS RELATIVE ${CMAKE_SOURCE_DIR}/data/languages data/languages/*.cfg)

    set(DUMMY_LOCALES)
    foreach(LANGFILE ${LANGS})
      string(REGEX REPLACE "(.*)\\.cfg" "\\1" LANG ${LANGFILE})
      if(NOT LANG STREQUAL "C")
        set(DUMMY_LOCALE_DIR ${CMAKE_SOURCE_DIR}/locales/${LANG})
        add_custom_command(OUTPUT ${DUMMY_LOCALE_DIR}
                           COMMAND ln -s 
                           ARGS ${DUMMY_LOCALE_C_DIR} ${DUMMY_LOCALE_DIR}
                           DEPENDS ${DUMMY_LOCALE_C_DIR})

        set(DUMMY_LOCALES ${DUMMY_LOCALES} ${DUMMY_LOCALE_DIR})
      endif()
    endforeach()
    add_custom_target(dummy-locales ALL DEPENDS ${DUMMY_LOCALES})

    # this is a workaround for a bug in 2.4-7
    file(MAKE_DIRECTORY locales)
    install(DIRECTORY locales DESTINATION ${DATADIR} USE_SOURCE_PERMISSIONS )
  endif (LOCALEDEF AND ENABLE_DUMMY_LOCALES)
endif (GETTEXT_FOUND AND ENABLE_NLS)
add_subdirectory(src)

#
# shrink images for tinygui
#

if(GUI STREQUAL "tiny")
  FIND_PACKAGE( ImageMagick REQUIRED )

  if(${CMAKE_SOURCE_DIR} STREQUAL ${CMAKE_BINARY_DIR})
    set(IMAGE_BUILD_DIR ${CMAKE_SOURCE_DIR}/tiny_images)
  else()
    set(IMAGE_BUILD_DIR ${CMAKE_BINARY_DIR})
  endif()

  set(IMAGE_FILES data/*.jpg data/*.png images/*.jpg images/*.png)

  add_custom_target(shrink-images ALL 
                    COMMAND ${CMAKE_COMMAND}
                    ARGS -DIMAGE_FILES="${IMAGE_FILES}" -DIMAGE_BUILD_DIR="${IMAGE_BUILD_DIR}" -DIMAGEMAGICK_IDENTIFY_EXECUTABLE="${IMAGEMAGICK_IDENTIFY_EXECUTABLE}" -DIMAGEMAGICK_CONVERT_EXECUTABLE="${IMAGEMAGICK_CONVERT_EXECUTABLE}" -P "${CMAKE_MODULE_PATH}/ShrinkImages.cmake"
                    WORKING_DIRECTORY ${CMAKE_SOURCE_DIR}
                    COMMENT "Creating resized images for tinygui.")

  #
  # Install files (exclude images from data-dir, we install them from our build dir)
  #

  # this is a workaround for a bug in 2.4-7
  file(MAKE_DIRECTORY ${IMAGE_BUILD_DIR}/data ${IMAGE_BUILD_DIR}/images)
  install(DIRECTORY ${IMAGE_BUILD_DIR}/data ${IMAGE_BUILD_DIR}/images DESTINATION ${DATADIR} USE_SOURCE_PERMISSIONS)
  install(DIRECTORY data fonts sounds DESTINATION ${DATADIR} USE_SOURCE_PERMISSIONS
          PATTERN "*.png" EXCLUDE
          PATTERN "*.jpg" EXCLUDE
          PATTERN ".svn" EXCLUDE )
else()

  #
  # Install files
  #
  install(DIRECTORY data fonts images sounds DESTINATION ${DATADIR} USE_SOURCE_PERMISSIONS PATTERN ".svn" EXCLUDE )

endif()

#
# Install desktop file so wesnoth appears in the application start menu with an icon
# TODO: string replacement to have the real binary name in does not work atm, because in the Categories= block semicolons are lost...
#
if(ENABLE_DESKTOP_ENTRY AND ENABLE_GAME)
  # do some crude string replacing to have the real binary name in the .desktop file (read in original .desktop file, replace the Exec= line with the correct value and output the generated file)
#  file(READ icons/wesnoth.desktop wesnoth-desktop-orig)
  #string(REGEX REPLACE "(\nName.*=.*)\n" "\\1 (${BINARY_SUFFIX})\n" wesnoth-desktop-modified ${wesnoth-desktop-orig} )
#  string(REPLACE "Exec=wesnoth" "Exec=${BINARY_PREFIX}wesnoth${BINARY_SUFFIX}" wesnoth-desktop-modified ${wesnoth-desktop-orig} )
#  file(WRITE ${CMAKE_CURRENT_BINARY_DIR}/${BINARY_PREFIX}wesnoth${BINARY_SUFFIX}.desktop ${wesnoth-desktop-modified} )
  
  #execute_process(COMMAND sed "-i" "'s/^\(Name.*=.*\)$/\1TEST/g'" ${CMAKE_CURRENT_BINARY_DIR}/${BINARY_PREFIX}wesnoth${BINARY_SUFFIX}.desktop )
  #exec_program(sed ARGS "-i" "'s/^\(Name.*=.*\)$/\1TEST/g'" ${CMAKE_CURRENT_BINARY_DIR}/${BINARY_PREFIX}wesnoth${BINARY_SUFFIX}.desktop )
  # install the generated .desktop file
#  install(FILES ${CMAKE_CURRENT_BINARY_DIR}/${BINARY_PREFIX}wesnoth${BINARY_SUFFIX}.desktop DESTINATION ${DESKTOPDIR} )
  install(FILES icons/wesnoth.desktop DESTINATION ${DESKTOPDIR} )
  install(FILES icons/wesnoth-icon.png DESTINATION ${ICONDIR} )
  
  if(ENABLE_EDITOR)
    # do some crude string replacing to have the real binary name in the .desktop file (read in original .desktop file, replace the Exec= line with the correct value and output the generated file)
#    file(READ icons/wesnoth_editor.desktop wesnoth-editor-desktop-orig)
#    string(REPLACE "Exec=wesnoth -e" "Exec=${BINARY_PREFIX}wesnoth${BINARY_SUFFIX} -e" wesnoth-editor-desktop-modified ${wesnoth-editor-desktop-orig} )
#    file(WRITE ${CMAKE_CURRENT_BINARY_DIR}/${BINARY_PREFIX}wesnoth_editor${BINARY_SUFFIX}.desktop ${wesnoth-editor-desktop-modified} )
    # install the generated .desktop file

=== SConstruct ===
# vi: syntax=python:et:ts=4
#
# SCons build description for the Wesnoth project
#
# Prerequisites are:
# 1. Subversion command-line client programs svnstatus and svnversion.
# 2. Unix file(1), on installation only.
# 3. Unix convert(1), on installation only, if using tinygui.
# 4. msgfmt(1) for making builds with i18n support.
# 5. graph-includes for making the project dependency graph.

import os, sys, shutil, re, commands
from glob import glob
from subprocess import Popen, PIPE, call
from os import access, F_OK

for dir in ["release", "debug", "profile"]:
    if glob(os.path.join("build", dir, "*.cpp")):
        shutil.rmtree(os.path.join("build", dir), True)
try:
    os.remove("wesnoth-base")
except:
    pass

SConsignFile("build/sconsign.dblite")

# Warn user of current set of build options.
if os.path.exists('.scons-option-cache'):
    optfile = file('.scons-option-cache')
    print "Saved options:", optfile.read().replace("\n", ", ")[:-2]
    optfile.close()

#
# Build-control options
#

opts = Options('.scons-option-cache')

def OptionalPath(key, val, env):
    if val:
        PathOption.PathIsDir(key, val, env)

opts.AddOptions(
    ListOption('default_targets', 'Targets that will be built if no target is specified in command line.',
        "wesnoth,wesnothd,test", Split("wesnoth wesnothd campaignd cutter exploder test")),
    EnumOption('build', 'Build variant: debug, release profile or base (no subdirectory)', "release", ["release", "debug", "glibcxx_debug", "profile","base"]),
    ('extra_flags_config', 'Extra compiler and linker flags to use for configuration and all builds', ""),
    ('extra_flags_base', 'Extra compiler and linker flags to use for release builds', ""),
    ('extra_flags_release', 'Extra compiler and linker flags to use for release builds', ""),
    ('extra_flags_debug', 'Extra compiler and linker flags to use for debug builds', ""),
    ('extra_flags_profile', 'Extra compiler and linker flags to use for profile builds', ""),
    PathOption('bindir', 'Where to install binaries', "bin", PathOption.PathAccept),
    ('cachedir', 'Directory that contains a cache of derived files.', ''),
    PathOption('datadir', 'read-only architecture-independent game data', "$datarootdir/$datadirname", PathOption.PathAccept),
    PathOption('fifodir', 'directory for the wesnothd fifo socket file', "/var/run/wesnothd", PathOption.PathAccept),
    BoolOption('fribidi','Clear to disable bidirectional-language support', True),
    BoolOption('desktop_entry','Clear to disable desktop-entry', True),
    PathOption('datarootdir', 'sets the root of data directories to a non-default location', "share", PathOption.PathAccept),
    PathOption('datadirname', 'sets the name of data directory', "wesnoth$version_suffix", PathOption.PathAccept),
    PathOption('desktopdir', 'sets the desktop entry directory to a non-default location', "$datarootdir/applications", PathOption.PathAccept),
    PathOption('icondir', 'sets the icons directory to a non-default location', "$datarootdir/icons", PathOption.PathAccept),
    BoolOption('internal_data', 'Set to put data in Mac OS X application fork', False),
    PathOption('localedirname', 'sets the locale data directory to a non-default location', "translations", PathOption.PathAccept),
    PathOption('mandir', 'sets the man pages directory to a non-default location', "$datarootdir/man", PathOption.PathAccept),
    PathOption('docdir', 'sets the doc directory to a non-default location', "$datarootdir/doc/wesnoth", PathOption.PathAccept),
    PathOption('python_site_packages_dir', 'sets the directory where python modules are installed', "lib/python/site-packages/wesnoth", PathOption.PathAccept),
    BoolOption('editor', 'Enable editor', True),
    BoolOption('lowmem', 'Set to reduce memory usage by removing extra functionality', False),
    BoolOption('nls','enable compile/install of gettext message catalogs',True),
    BoolOption('dummy_locales','enable support for dummy locales',False),
    PathOption('prefix', 'autotools-style installation prefix', "/usr/local", PathOption.PathAccept),
    PathOption('prefsdir', 'user preferences directory', ".wesnoth$version_suffix", PathOption.PathAccept),
    PathOption('destdir', 'prefix to add to all installation paths.', "/", PathOption.PathAccept),
    BoolOption('prereqs','abort if prerequisites cannot be detected',True),
    ('program_suffix', 'suffix to append to names of installed programs',"$version_suffix"),
    ('version_suffix', 'suffix that will be added to default values of prefsdir, program_suffix and datadirname', ""),
    BoolOption('raw_sockets', 'Set to use raw receiving sockets in the multiplayer network layer rather than the SDL_net facilities', False),
    BoolOption('forum_user_handler', 'Enable forum user handler in wesnothd', False),
    BoolOption('pool_alloc', 'Enable custom pool malloc', False),
    ('server_gid', 'group id of the user who runs wesnothd', ""),
    ('server_uid', 'user id of the user who runs wesnothd', ""),
    EnumOption('gui', 'Set for GUI reductions for resolutions down to 320x240 (PDAs)', "normal", ["normal", "tiny"]),
    BoolOption('strict', 'Set to strict compilation', False),
    BoolOption('static_test', 'Staticaly build against boost test (Not supported yet)', False),
    BoolOption('verbose', 'Emit progress messages during data installation.', False),
    PathOption('sdldir', 'Directory of SDL installation.', "", OptionalPath),
    PathOption('boostdir', 'Directory of boost installation.', "", OptionalPath),
    PathOption('boostlibdir', 'Directory where boost libraries are installed.', "", OptionalPath),
    ('boost_suffix', 'Suffix of boost libraries.'),
    PathOption('gettextdir', 'Root directory of Gettext\'s installation.', "", OptionalPath), 
    PathOption('gtkdir', 'Directory where GTK SDK is installed.', "", OptionalPath),
    ('host', 'Cross-compile host.', ''),
    ('jobs', 'Set the number of parallel compilations', "1", lambda key, value, env: int(value), int),
    BoolOption('distcc', 'Use distcc', False),
    BoolOption('ccache', "Use ccache", False),
    ('cxxtool', 'Set c++ compiler command if not using standard compiler.'),
    BoolOption("fast", "Make scons faster at cost of less precise dependency tracking.", False)
    )

#
# Setup
#

sys.path.insert(0, "./scons")
env = Environment(tools=["tar", "gettext", "install", "python_devel", "scanreplace"], options = opts, toolpath = ["scons"])

opts.Save('.scons-option-cache', env)

# Make sure the user's environment is always available
env['ENV']['PATH'] = os.environ["PATH"]
if env["PLATFORM"] == "win32":
    env.Tool("mingw")
elif env["PLATFORM"] == "sunos":
    env.Tool("sunc++")
    env.Tool("suncc")
    env.Tool("sunar")
    env.Tool("sunlink")
    env.Append(CXXFLAGS = Split("-library=stlport4 -staticlib=stlport4 -norunpath -features=tmplife -features=tmplrefstatic -features=extensions"))
    env.Append(LINKFLAGS = Split("-library=stlport4 -staticlib=stlport4 -lsocket -lnsl -lboost_iostreams -L. -R."))
    env['CC'] = env['CXX']
else:
    from cross_compile import *
    setup_cross_compile(env)

if env.get('cxxtool',""):
    env['CXX'] = env['cxxtool']
    if 'HOME' in os.environ:
        env['ENV']['HOME'] = os.environ['HOME']

if env['jobs'] > 1:
    SetOption("num_jobs", env['jobs'])

if env['distcc']: 
    env.Tool('distcc')

if env['ccache']: env.Tool('ccache')


Help("""Arguments may be a mixture of switches and targets in any order.
Switches apply to the entire build regardless of where they are in the order.
Important switches include:

    prefix=/usr     probably what you want for production tools
    build=base      build directly in the distribution root;
                    you'll need this if you're trying to use Emacs compile mode.
    build=release   build the release build variant with appropriate flags
                        in build/release and copy resulting binaries
                        into distribution/working copy root.
    build=debug     same for debug build variant, binaries will be copied with -debug suffix

With no arguments, the recipe builds wesnoth and wesnothd.  Available
build targets include the individual binaries:

    wesnoth wesnothd campaignd exploder cutter test

You can make the following special build targets:

    all = wesnoth exploder cutter wesnothd campaignd (*).
    TAGS = build tags for Emacs (*).
    wesnoth-deps.png = project dependency graph
    install = install all executables that currently exist, and any data needed
    install-wesnothd = install the Wesnoth multiplayer server.
    install-campaignd = install the Wesnoth campaign server.
    install-cutter = install the castle cutter
    install-exploder = install the castle exploder
    install-pytools = install all Python tools and modules
    uninstall = uninstall all executables, tools, modules, and servers.
    pot-update = generate gettext message catalog templates and merge them with localized message catalogs
    update-po = merge message catalog templates with localized message catalogs for particular lingua
    update-po4a = update translations of manual and manpages
    af bg ca ... = linguas for update-po
    dist = make distribution tarball as wesnoth.tar.bz2 (*).
    data-dist = make data tarball as wesnoth-data.tar.bz2 (*).
    binary-dist = make data tarball as wesnoth-binaries.tar.bz2 (*).
    wesnoth-bundle = make Mac OS application bundle from game (*)
    sanity-check = run a pre-release sanity check on the distribution.
    manual = regenerate English-language manual and, possibly, localized manuals if appropriate xmls exist.

Files made by targets marked with '(*)' are cleaned by 'scons -c all'

Options are cached in a file named .scons-option-cache and persist to later
invocations.  The file is editable.  Delete it to start fresh.  Current option
values can be listed with 'scons -h'.

If you set CXXFLAGS and/or LDFLAGS in the environment, the values will
be appended to the appropriate variables within scons.
""" + opts.GenerateHelpText(env, sort=cmp))

if env["cachedir"] and not env['ccache']:
    CacheDir(env["cachedir"])

if env["fast"]:
    EnsureSConsVersion(0,98)
    env.Decider('MD5-timestamp')
    SetOption('max_drift', 1)
    SetOption('implicit_cache', 1)

if not os.path.isabs(env["prefix"]):
    print "Warning: prefix is set to relative dir. destdir setting will be ignored."
    env["destdir"] = ""

#
# Check some preconditions
#

def Warning(message):
    print message
    return False

from metasconf import init_metasconf
configure_args = dict(custom_tests = init_metasconf(env, ["cplusplus", "python_devel", "sdl", "boost", "pango", "pkgconfig", "gettext"]), config_h = "config.h",
    log_file="build/config.log", conf_dir="build/sconf_temp")

env.MergeFlags(env["extra_flags_config"])
if env["prereqs"]:
    conf = env.Configure(**configure_args)
    have_server_prereqs = \
        conf.CheckCPlusPlus(gcc_version = "3.3") and \
        conf.CheckGettextLibintl() and \
        conf.CheckBoost("iostreams", require_version = "1.33.0") and \
        conf.CheckBoostIostreamsGZip() and \
        conf.CheckBoost("smart_ptr", header_only = True) and \
        conf.CheckSDL(require_version = '1.2.7') and \
        conf.CheckSDL('SDL_net') or Warning("Base prerequisites are not met.")

    have_client_prereqs = have_server_prereqs and \
        conf.CheckPango("cairo") and \
        conf.CheckPKG("fontconfig") and \
        conf.CheckBoost("regex") and \
        conf.CheckSDL("SDL_ttf", require_version = "2.0.8") and \
        conf.CheckSDL("SDL_mixer", require_version = '1.2.0') and \
        conf.CheckSDL("SDL_image", require_version = '1.2.0') and \
        conf.CheckOgg() or Warning("Client prerequisites are not met. wesnoth, cutter and exploder cannot be built.")

    have_X = False
    if env["PLATFORM"] != "win32":
        have_X = conf.CheckLib('X11')

    if env['fribidi']:

=== doc/CMakeLists.txt ===
add_subdirectory(man)
add_subdirectory(manual)

=== doc/Makefile ===
# Makefile.in generated by automake 1.11 from Makefile.am.
# doc/Makefile.  Generated from Makefile.in by configure.

# Copyright (C) 1994, 1995, 1996, 1997, 1998, 1999, 2000, 2001, 2002,
# 2003, 2004, 2005, 2006, 2007, 2008, 2009  Free Software Foundation,
# Inc.
# This Makefile.in is free software; the Free Software Foundation
# gives unlimited permission to copy and/or distribute it,
# with or without modifications, as long as this notice is preserved.

# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY, to the extent permitted by law; without
# even the implied warranty of MERCHANTABILITY or FITNESS FOR A
# PARTICULAR PURPOSE.



pkgdatadir = $(datadir)/wesnoth
pkgincludedir = $(includedir)/wesnoth
pkglibdir = $(libdir)/wesnoth
pkglibexecdir = $(libexecdir)/wesnoth
am__cd = CDPATH="$${ZSH_VERSION+.}$(PATH_SEPARATOR)" && cd
install_sh_DATA = $(install_sh) -c -m 644
install_sh_PROGRAM = $(install_sh) -c
install_sh_SCRIPT = $(install_sh) -c
INSTALL_HEADER = $(INSTALL_DATA)
transform = $(program_transform_name)
NORMAL_INSTALL = :
PRE_INSTALL = :
POST_INSTALL = :
NORMAL_UNINSTALL = :
PRE_UNINSTALL = :
POST_UNINSTALL = :
build_triplet = arm-unknown-linux-gnueabi
host_triplet = arm-unknown-linux-gnueabi
target_triplet = arm
subdir = doc
DIST_COMMON = $(srcdir)/Makefile.am $(srcdir)/Makefile.in
ACLOCAL_M4 = $(top_srcdir)/aclocal.m4
am__aclocal_m4_deps = $(top_srcdir)/m4/boost.m4 \
	$(top_srcdir)/m4/gettext.m4 $(top_srcdir)/m4/iconv.m4 \
	$(top_srcdir)/m4/lib-ld.m4 $(top_srcdir)/m4/lib-link.m4 \
	$(top_srcdir)/m4/lib-prefix.m4 $(top_srcdir)/m4/nls.m4 \
	$(top_srcdir)/m4/pkg.m4 $(top_srcdir)/m4/po.m4 \
	$(top_srcdir)/m4/progtest.m4 $(top_srcdir)/m4/zlib.m4 \
	$(top_srcdir)/configure.ac
am__configure_deps = $(am__aclocal_m4_deps) $(CONFIGURE_DEPENDENCIES) \
	$(ACLOCAL_M4)
mkinstalldirs = $(SHELL) $(top_srcdir)/config/mkinstalldirs
CONFIG_HEADER = $(top_builddir)/config.h
CONFIG_CLEAN_FILES =
CONFIG_CLEAN_VPATH_FILES =
SOURCES =
DIST_SOURCES =
RECURSIVE_TARGETS = all-recursive check-recursive dvi-recursive \
	html-recursive info-recursive install-data-recursive \
	install-dvi-recursive install-exec-recursive \
	install-html-recursive install-info-recursive \
	install-pdf-recursive install-ps-recursive install-recursive \
	installcheck-recursive installdirs-recursive pdf-recursive \
	ps-recursive uninstall-recursive
RECURSIVE_CLEAN_TARGETS = mostlyclean-recursive clean-recursive	\
  distclean-recursive maintainer-clean-recursive
AM_RECURSIVE_TARGETS = $(RECURSIVE_TARGETS:-recursive=) \
	$(RECURSIVE_CLEAN_TARGETS:-recursive=) tags TAGS ctags CTAGS \
	distdir
ETAGS = etags
CTAGS = ctags
DIST_SUBDIRS = $(SUBDIRS)
DISTFILES = $(DIST_COMMON) $(DIST_SOURCES) $(TEXINFOS) $(EXTRA_DIST)
am__relativize = \
  dir0=`pwd`; \
  sed_first='s,^\([^/]*\)/.*$$,\1,'; \
  sed_rest='s,^[^/]*/*,,'; \
  sed_last='s,^.*/\([^/]*\)$$,\1,'; \
  sed_butlast='s,/*[^/]*$$,,'; \
  while test -n "$$dir1"; do \
    first=`echo "$$dir1" | sed -e "$$sed_first"`; \
    if test "$$first" != "."; then \
      if test "$$first" = ".."; then \
        dir2=`echo "$$dir0" | sed -e "$$sed_last"`/"$$dir2"; \
        dir0=`echo "$$dir0" | sed -e "$$sed_butlast"`; \
      else \
        first2=`echo "$$dir2" | sed -e "$$sed_first"`; \
        if test "$$first2" = "$$first"; then \
          dir2=`echo "$$dir2" | sed -e "$$sed_rest"`; \
        else \
          dir2="../$$dir2"; \
        fi; \
        dir0="$$dir0"/"$$first"; \
      fi; \
    fi; \
    dir1=`echo "$$dir1" | sed -e "$$sed_rest"`; \
  done; \
  reldir="$$dir2"
ACLOCAL = ${SHELL} /home/mece/games/wesnoth/wesnoth-1.6.5/config/missing --run aclocal-1.11
AMTAR = ${SHELL} /home/mece/games/wesnoth/wesnoth-1.6.5/config/missing --run tar
APP_ENTRY = ${datarootdir}/applications
APP_ICON = ${datarootdir}/icons
ASCIIDOC = none
AUTOCONF = ${SHELL} /home/mece/games/wesnoth/wesnoth-1.6.5/config/missing --run autoconf
AUTOHEADER = ${SHELL} /home/mece/games/wesnoth/wesnoth-1.6.5/config/missing --run autoheader
AUTOMAKE = ${SHELL} /home/mece/games/wesnoth/wesnoth-1.6.5/config/missing --run automake-1.11
AWK = gawk
BOOST_CPPFLAGS = -I/usr/include
BOOST_IOSTREAMS_LDFLAGS = -L/usr/lib
BOOST_IOSTREAMS_LIBS = -lboost_iostreams-mt
BOOST_REGEX_LDFLAGS = -L/usr/lib
BOOST_REGEX_LIBS = -lboost_regex-mt
BOOST_UNIT_TEST_FRAMEWORK_LDFLAGS = 
BOOST_UNIT_TEST_FRAMEWORK_LIBS = 
CC = arm-linux-gnueabi-gcc
CCDEPMODE = depmode=gcc3
CFLAGS = -DMAEMO_CHANGES -march=armv7-a -mcpu=cortex-a8 -mtune=cortex-a8 -mfloat-abi=softfp -mfpu=neon -W -Wall -DDISABLE_EDITOR2 -DDISABLE_POOL_ALLOC -I/usr/include
CPP = arm-linux-gnueabi-gcc -E
CPPFLAGS =   -DLOW_MEM -I/usr/include -I/usr/include/pango-1.0 -I/usr/include/cairo -I/usr/include/glib-2.0 -I/usr/lib/glib-2.0/include -I/usr/include/pixman-1 -I/usr/include/freetype2 -I/usr/include/libpng12    
CXX = arm-linux-gnueabi-g++
CXXCPP = arm-linux-gnueabi-g++ -E
CXXDEPMODE = depmode=gcc3
CXXFLAGS = -DMAEMO_CHANGES -march=armv7-a -mcpu=cortex-a8 -mtune=cortex-a8 -mfloat-abi=softfp -mfpu=neon -W -Wall -ansi  -Werror -Wno-unused -Wno-sign-compare -DDISABLE_EDITOR2 -DDISABLE_POOL_ALLOC
CYGPATH_W = echo
DATADIR = wesnoth
DATA_FILES = 
DEFS = -DHAVE_CONFIG_H
DEPDIR = .deps
DISTCHECK_CONFIGURE_FLAGS =  '--with-boost='
DOS2UNIX = none
ECHO_C = 
ECHO_N = -n
ECHO_T = 
EGREP = /scratchbox/tools/bin/grep -E
EXEEXT = 
FONTCONFIG_CFLAGS =  
FONTCONFIG_LIBS = -lfontconfig  
FONT_FILES = 
FRIBIDI_CFLAGS = 
FRIBIDI_CONFIG = none
FRIBIDI_LIBS = 
FULLLOCALEDIR = ${datadir}/${DATADIR}/${LOCALEDIR}
GMSGFMT = /scratchbox/tools/bin/msgfmt
GREP = /scratchbox/tools/bin/grep
HAS_RELATIVE_LOCALEDIR = 1
IMAGE_FILES = 
INSTALL = /scratchbox/tools/bin/install -c
INSTALL_DATA = ${INSTALL} -m 644
INSTALL_PROGRAM = ${INSTALL}
INSTALL_SCRIPT = ${INSTALL}
INSTALL_STRIP_PROGRAM = $(install_sh) -c -s
INTLLIBS = 
INTL_MACOSX_LIBS = 
LDFLAGS = 
LDPREFIX = 
LIBICONV = -liconv
LIBINTL = 
LIBOBJS = 
LIBS = -lm  -lX11  -L/usr/lib -lz
LOCALEDIR = translations
LTLIBICONV = -liconv
LTLIBINTL = 
LTLIBOBJS = 
LTOOL = /targets/links/arch_tools/bin/libtool
MAKEINFO = ${SHELL} /home/mece/games/wesnoth/wesnoth-1.6.5/config/missing --run makeinfo
MKDIR_P = /scratchbox/tools/bin/mkdir -p
MKINSTALLDIRS = $(top_builddir)/config/mkinstalldirs
MSGFMT = /scratchbox/tools/bin/msgfmt
MSGMERGE = /scratchbox/tools/bin/msgmerge
MUSIC_FILES = 
OBJEXT = o
PACKAGE = wesnoth
PACKAGE_BUGREPORT = http://bugs.wesnoth.org
PACKAGE_NAME = Battle for Wesnoth
PACKAGE_STRING = Battle for Wesnoth 1.6.5
PACKAGE_TARNAME = wesnoth
PACKAGE_URL = 
PACKAGE_VERSION = 1.6.5
PANGO_CFLAGS = -I/usr/include/pango-1.0 -I/usr/include/cairo -I/usr/include/glib-2.0 -I/usr/lib/glib-2.0/include -I/usr/include/pixman-1 -I/usr/include/freetype2 -I/usr/include/libpng12  
PANGO_LIBS = -lpangocairo-1.0 -lpango-1.0 -lcairo -lgobject-2.0 -lgmodule-2.0 -lglib-2.0  
PATH_SEPARATOR = :
PKG_CONFIG = /scratchbox/tools/bin/pkg-config
PNG_CFLAGS = -I/usr/include/libpng12
PNG_CONFIG = /usr/bin/libpng-config
PNG_LIBS = -lpng12
PO4A = none
POSUB = po
PYTHON = /scratchbox/tools/bin/python
RANLIB = arm-linux-gnueabi-ranlib
SDL_CFLAGS = -I/usr/include/SDL -D_GNU_SOURCE=1 -D_REENTRANT
SDL_CONFIG = /usr/bin/sdl-config
SDL_IMAGE_LIBS = -lSDL_image
SDL_LIBS = -L/usr/lib -lSDL
SDL_MIXER_LIBS = /usr/lib/libSDL_mixer.a
SDL_NET_LIBS = -lSDL_net
SDL_TTF_LIBS = -lSDL_ttf
SET_MAKE = 
SHELL = /bin/sh
SOUND_FILES = 
STRIP = 
USE_NLS = yes
VERSION = 1.6.5
XGETTEXT = /scratchbox/tools/bin/xgettext
XMKMF = 
XSLTPROC = /scratchbox/devkits/doctools/bin/xsltproc
X_CFLAGS = 
X_EXTRA_LIBS = 
X_LIBS =  -lX11
X_PRE_LIBS =  -lSM -lICE
ZLIB_CFLAGS = -I/usr/include
ZLIB_LIBS = -L/usr/lib -lz
abs_builddir = /home/mece/games/wesnoth/wesnoth-1.6.5/doc
abs_srcdir = /home/mece/games/wesnoth/wesnoth-1.6.5/doc
abs_top_builddir = /home/mece/games/wesnoth/wesnoth-1.6.5
abs_top_srcdir = /home/mece/games/wesnoth/wesnoth-1.6.5
ac_ct_CC = 
ac_ct_CXX = 
am__include = include
am__leading_dot = .
am__quote = 
am__tar = tar --format=ustar -chf - "$$tardir"
am__untar = tar -xf -
bindir = ${exec_prefix}/bin
build = arm-unknown-linux-gnueabi
build_alias = arm-linux-gnueabi
build_cpu = arm
build_os = linux-gnueabi
build_vendor = unknown
builddir = .
datadir = ${datarootdir}
datarootdir = ${prefix}/share
docdir = ${datarootdir}/doc/${PACKAGE_TARNAME}
dvidir = ${docdir}
exec_prefix = ${prefix}
fifodir = ${prefix}/var/run/wesnothd
host = arm-unknown-linux-gnueabi
host_alias = arm-linux-gnueabi
host_cpu = arm
host_os = linux-gnueabi
host_vendor = unknown
htmldir = ${docdir}
includedir = ${prefix}/include
infodir = ${datarootdir}/info
install_sh = ${SHELL} /home/mece/games/wesnoth/wesnoth-1.6.5/config/install-sh
libdir = ${exec_prefix}/lib
libexecdir = ${exec_prefix}/libexec
localedir = ${datarootdir}/locale
localstatedir = ${prefix}/var
mandir = ${prefix}/share/man
mkdir_p = /scratchbox/tools/bin/mkdir -p
oldincludedir = /usr/include
pdfdir = ${docdir}
pkgpythondir = 
prefix = /opt/wesnoth
prefsdir = 
program_transform_name = s,x,x,
psdir = ${docdir}
sbindir = ${exec_prefix}/sbin
servergid = 
serveruid = 
sharedstatedir = ${prefix}/com
srcdir = .
sysconfdir = ${prefix}/etc
target = arm
target_alias = 
target_cpu = arm
target_os = linux-gnueabi
target_vendor = unknown
top_build_prefix = ../
top_builddir = ..
top_srcdir = ..
SUBDIRS = man manual
all: all-recursive

.SUFFIXES:
$(srcdir)/Makefile.in:  $(srcdir)/Makefile.am  $(am__configure_deps)
	@for dep in $?; do \
	  case '$(am__configure_deps)' in \
	    *$$dep*) \
	      ( cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh ) \
	        && { if test -f $@; then exit 0; else break; fi; }; \
	      exit 1;; \
	  esac; \
	done; \
	echo ' cd $(top_srcdir) && $(AUTOMAKE) --foreign doc/Makefile'; \
	$(am__cd) $(top_srcdir) && \
	  $(AUTOMAKE) --foreign doc/Makefile
.PRECIOUS: Makefile
Makefile: $(srcdir)/Makefile.in $(top_builddir)/config.status
	@case '$?' in \
	  *config.status*) \
	    cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh;; \
	  *) \
	    echo ' cd $(top_builddir) && $(SHELL) ./config.status $(subdir)/$@ $(am__depfiles_maybe)'; \
	    cd $(top_builddir) && $(SHELL) ./config.status $(subdir)/$@ $(am__depfiles_maybe);; \
	esac;

$(top_builddir)/config.status: $(top_srcdir)/configure $(CONFIG_STATUS_DEPENDENCIES)
	cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh

$(top_srcdir)/configure:  $(am__configure_deps)
	cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh
$(ACLOCAL_M4):  $(am__aclocal_m4_deps)
	cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh
$(am__aclocal_m4_deps):

# This directory's subdirectories are mostly independent; you can cd
# into them and run `make' without going through this Makefile.
# To change the values of `make' variables: instead of editing Makefiles,
# (1) if the variable is set in `config.status', edit `config.status'
#     (which will cause the Makefiles to be regenerated when you run `make');
# (2) otherwise, pass the desired values on the `make' command line.
$(RECURSIVE_TARGETS):
	@failcom='exit 1'; \
	for f in x $$MAKEFLAGS; do \
	  case $$f in \
	    *=* | --[!k]*);; \
	    *k*) failcom='fail=yes';; \
	  esac; \
	done; \
	dot_seen=no; \
	target=`echo $@ | sed s/-recursive//`; \
	list='$(SUBDIRS)'; for subdir in $$list; do \
	  echo "Making $$target in $$subdir"; \
	  if test "$$subdir" = "."; then \
	    dot_seen=yes; \
	    local_target="$$target-am"; \
	  else \
	    local_target="$$target"; \
	  fi; \
	  ($(am__cd) $$subdir && $(MAKE) $(AM_MAKEFLAGS) $$local_target) \
	  || eval $$failcom; \
	done; \
	if test "$$dot_seen" = "no"; then \
	  $(MAKE) $(AM_MAKEFLAGS) "$$target-am" || exit 1; \
	fi; test -z "$$fail"

$(RECURSIVE_CLEAN_TARGETS):
	@failcom='exit 1'; \
	for f in x $$MAKEFLAGS; do \
	  case $$f in \
	    *=* | --[!k]*);; \
	    *k*) failcom='fail=yes';; \
	  esac; \
	done; \
	dot_seen=no; \
	case "$@" in \
	  distclean-* | maintainer-clean-*) list='$(DIST_SUBDIRS)' ;; \
	  *) list='$(SUBDIRS)' ;; \
	esac; \
	rev=''; for subdir in $$list; do \

=== icons/Makefile ===
# Makefile.in generated by automake 1.11 from Makefile.am.
# icons/Makefile.  Generated from Makefile.in by configure.

# Copyright (C) 1994, 1995, 1996, 1997, 1998, 1999, 2000, 2001, 2002,
# 2003, 2004, 2005, 2006, 2007, 2008, 2009  Free Software Foundation,
# Inc.
# This Makefile.in is free software; the Free Software Foundation
# gives unlimited permission to copy and/or distribute it,
# with or without modifications, as long as this notice is preserved.

# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY, to the extent permitted by law; without
# even the implied warranty of MERCHANTABILITY or FITNESS FOR A
# PARTICULAR PURPOSE.




pkgdatadir = $(datadir)/wesnoth
pkgincludedir = $(includedir)/wesnoth
pkglibdir = $(libdir)/wesnoth
pkglibexecdir = $(libexecdir)/wesnoth
am__cd = CDPATH="$${ZSH_VERSION+.}$(PATH_SEPARATOR)" && cd
install_sh_DATA = $(install_sh) -c -m 644
install_sh_PROGRAM = $(install_sh) -c
install_sh_SCRIPT = $(install_sh) -c
INSTALL_HEADER = $(INSTALL_DATA)
transform = $(program_transform_name)
NORMAL_INSTALL = :
PRE_INSTALL = :
POST_INSTALL = :
NORMAL_UNINSTALL = :
PRE_UNINSTALL = :
POST_UNINSTALL = :
build_triplet = arm-unknown-linux-gnueabi
host_triplet = arm-unknown-linux-gnueabi
target_triplet = arm
subdir = icons
DIST_COMMON = $(am__dist_appentry_DATA_DIST) $(srcdir)/Makefile.am \
	$(srcdir)/Makefile.in
ACLOCAL_M4 = $(top_srcdir)/aclocal.m4
am__aclocal_m4_deps = $(top_srcdir)/m4/boost.m4 \
	$(top_srcdir)/m4/gettext.m4 $(top_srcdir)/m4/iconv.m4 \
	$(top_srcdir)/m4/lib-ld.m4 $(top_srcdir)/m4/lib-link.m4 \
	$(top_srcdir)/m4/lib-prefix.m4 $(top_srcdir)/m4/nls.m4 \
	$(top_srcdir)/m4/pkg.m4 $(top_srcdir)/m4/po.m4 \
	$(top_srcdir)/m4/progtest.m4 $(top_srcdir)/m4/zlib.m4 \
	$(top_srcdir)/configure.ac
am__configure_deps = $(am__aclocal_m4_deps) $(CONFIGURE_DEPENDENCIES) \
	$(ACLOCAL_M4)
mkinstalldirs = $(SHELL) $(top_srcdir)/config/mkinstalldirs
CONFIG_HEADER = $(top_builddir)/config.h
CONFIG_CLEAN_FILES =
CONFIG_CLEAN_VPATH_FILES =
SOURCES =
DIST_SOURCES =
am__vpath_adj_setup = srcdirstrip=`echo "$(srcdir)" | sed 's|.|.|g'`;
am__vpath_adj = case $$p in \
    $(srcdir)/*) f=`echo "$$p" | sed "s|^$$srcdirstrip/||"`;; \
    *) f=$$p;; \
  esac;
am__strip_dir = f=`echo $$p | sed -e 's|^.*/||'`;
am__install_max = 40
am__nobase_strip_setup = \
  srcdirstrip=`echo "$(srcdir)" | sed 's/[].[^$$\\*|]/\\\\&/g'`
am__nobase_strip = \
  for p in $$list; do echo "$$p"; done | sed -e "s|$$srcdirstrip/||"
am__nobase_list = $(am__nobase_strip_setup); \
  for p in $$list; do echo "$$p $$p"; done | \
  sed "s| $$srcdirstrip/| |;"' / .*\//!s/ .*/ ./; s,\( .*\)/[^/]*$$,\1,' | \
  $(AWK) 'BEGIN { files["."] = "" } { files[$$2] = files[$$2] " " $$1; \
    if (++n[$$2] == $(am__install_max)) \
      { print $$2, files[$$2]; n[$$2] = 0; files[$$2] = "" } } \
    END { for (dir in files) print dir, files[dir] }'
am__base_list = \
  sed '$$!N;$$!N;$$!N;$$!N;$$!N;$$!N;$$!N;s/\n/ /g' | \
  sed '$$!N;$$!N;$$!N;$$!N;s/\n/ /g'
am__installdirs = "$(DESTDIR)$(appicondir)" "$(DESTDIR)$(appentrydir)"
am__dist_appentry_DATA_DIST = wesnoth.desktop wesnoth_editor.desktop
DATA = $(appicon_DATA) $(dist_appentry_DATA)
DISTFILES = $(DIST_COMMON) $(DIST_SOURCES) $(TEXINFOS) $(EXTRA_DIST)
ACLOCAL = ${SHELL} /home/mece/games/wesnoth/wesnoth-1.6.5/config/missing --run aclocal-1.11
AMTAR = ${SHELL} /home/mece/games/wesnoth/wesnoth-1.6.5/config/missing --run tar
APP_ENTRY = ${datarootdir}/applications
APP_ICON = ${datarootdir}/icons
ASCIIDOC = none
AUTOCONF = ${SHELL} /home/mece/games/wesnoth/wesnoth-1.6.5/config/missing --run autoconf
AUTOHEADER = ${SHELL} /home/mece/games/wesnoth/wesnoth-1.6.5/config/missing --run autoheader
AUTOMAKE = ${SHELL} /home/mece/games/wesnoth/wesnoth-1.6.5/config/missing --run automake-1.11
AWK = gawk
BOOST_CPPFLAGS = -I/usr/include
BOOST_IOSTREAMS_LDFLAGS = -L/usr/lib
BOOST_IOSTREAMS_LIBS = -lboost_iostreams-mt
BOOST_REGEX_LDFLAGS = -L/usr/lib
BOOST_REGEX_LIBS = -lboost_regex-mt
BOOST_UNIT_TEST_FRAMEWORK_LDFLAGS = 
BOOST_UNIT_TEST_FRAMEWORK_LIBS = 
CC = arm-linux-gnueabi-gcc
CCDEPMODE = depmode=gcc3
CFLAGS = -DMAEMO_CHANGES -march=armv7-a -mcpu=cortex-a8 -mtune=cortex-a8 -mfloat-abi=softfp -mfpu=neon -W -Wall -DDISABLE_EDITOR2 -DDISABLE_POOL_ALLOC -I/usr/include
CPP = arm-linux-gnueabi-gcc -E
CPPFLAGS =   -DLOW_MEM -I/usr/include -I/usr/include/pango-1.0 -I/usr/include/cairo -I/usr/include/glib-2.0 -I/usr/lib/glib-2.0/include -I/usr/include/pixman-1 -I/usr/include/freetype2 -I/usr/include/libpng12    
CXX = arm-linux-gnueabi-g++
CXXCPP = arm-linux-gnueabi-g++ -E
CXXDEPMODE = depmode=gcc3
CXXFLAGS = -DMAEMO_CHANGES -march=armv7-a -mcpu=cortex-a8 -mtune=cortex-a8 -mfloat-abi=softfp -mfpu=neon -W -Wall -ansi  -Werror -Wno-unused -Wno-sign-compare -DDISABLE_EDITOR2 -DDISABLE_POOL_ALLOC
CYGPATH_W = echo
DATADIR = wesnoth
DATA_FILES = 
DEFS = -DHAVE_CONFIG_H
DEPDIR = .deps
DISTCHECK_CONFIGURE_FLAGS =  '--with-boost='
DOS2UNIX = none
ECHO_C = 
ECHO_N = -n
ECHO_T = 
EGREP = /scratchbox/tools/bin/grep -E
EXEEXT = 
FONTCONFIG_CFLAGS =  
FONTCONFIG_LIBS = -lfontconfig  
FONT_FILES = 
FRIBIDI_CFLAGS = 
FRIBIDI_CONFIG = none
FRIBIDI_LIBS = 
FULLLOCALEDIR = ${datadir}/${DATADIR}/${LOCALEDIR}
GMSGFMT = /scratchbox/tools/bin/msgfmt
GREP = /scratchbox/tools/bin/grep
HAS_RELATIVE_LOCALEDIR = 1
IMAGE_FILES = 
INSTALL = /scratchbox/tools/bin/install -c
INSTALL_DATA = ${INSTALL} -m 644
INSTALL_PROGRAM = ${INSTALL}
INSTALL_SCRIPT = ${INSTALL}
INSTALL_STRIP_PROGRAM = $(install_sh) -c -s
INTLLIBS = 
INTL_MACOSX_LIBS = 
LDFLAGS = 
LDPREFIX = 
LIBICONV = -liconv
LIBINTL = 
LIBOBJS = 
LIBS = -lm  -lX11  -L/usr/lib -lz
LOCALEDIR = translations
LTLIBICONV = -liconv
LTLIBINTL = 
LTLIBOBJS = 
LTOOL = /targets/links/arch_tools/bin/libtool
MAKEINFO = ${SHELL} /home/mece/games/wesnoth/wesnoth-1.6.5/config/missing --run makeinfo
MKDIR_P = /scratchbox/tools/bin/mkdir -p
MKINSTALLDIRS = $(top_builddir)/config/mkinstalldirs
MSGFMT = /scratchbox/tools/bin/msgfmt
MSGMERGE = /scratchbox/tools/bin/msgmerge
MUSIC_FILES = 
OBJEXT = o
PACKAGE = wesnoth
PACKAGE_BUGREPORT = http://bugs.wesnoth.org
PACKAGE_NAME = Battle for Wesnoth
PACKAGE_STRING = Battle for Wesnoth 1.6.5
PACKAGE_TARNAME = wesnoth
PACKAGE_URL = 
PACKAGE_VERSION = 1.6.5
PANGO_CFLAGS = -I/usr/include/pango-1.0 -I/usr/include/cairo -I/usr/include/glib-2.0 -I/usr/lib/glib-2.0/include -I/usr/include/pixman-1 -I/usr/include/freetype2 -I/usr/include/libpng12  
PANGO_LIBS = -lpangocairo-1.0 -lpango-1.0 -lcairo -lgobject-2.0 -lgmodule-2.0 -lglib-2.0  
PATH_SEPARATOR = :
PKG_CONFIG = /scratchbox/tools/bin/pkg-config
PNG_CFLAGS = -I/usr/include/libpng12
PNG_CONFIG = /usr/bin/libpng-config
PNG_LIBS = -lpng12
PO4A = none
POSUB = po
PYTHON = /scratchbox/tools/bin/python
RANLIB = arm-linux-gnueabi-ranlib
SDL_CFLAGS = -I/usr/include/SDL -D_GNU_SOURCE=1 -D_REENTRANT
SDL_CONFIG = /usr/bin/sdl-config
SDL_IMAGE_LIBS = -lSDL_image
SDL_LIBS = -L/usr/lib -lSDL
SDL_MIXER_LIBS = /usr/lib/libSDL_mixer.a
SDL_NET_LIBS = -lSDL_net
SDL_TTF_LIBS = -lSDL_ttf
SET_MAKE = 
SHELL = /bin/sh
SOUND_FILES = 
STRIP = 
USE_NLS = yes
VERSION = 1.6.5
XGETTEXT = /scratchbox/tools/bin/xgettext
XMKMF = 
XSLTPROC = /scratchbox/devkits/doctools/bin/xsltproc
X_CFLAGS = 
X_EXTRA_LIBS = 
X_LIBS =  -lX11
X_PRE_LIBS =  -lSM -lICE
ZLIB_CFLAGS = -I/usr/include
ZLIB_LIBS = -L/usr/lib -lz
abs_builddir = /home/mece/games/wesnoth/wesnoth-1.6.5/icons
abs_srcdir = /home/mece/games/wesnoth/wesnoth-1.6.5/icons
abs_top_builddir = /home/mece/games/wesnoth/wesnoth-1.6.5
abs_top_srcdir = /home/mece/games/wesnoth/wesnoth-1.6.5
ac_ct_CC = 
ac_ct_CXX = 
am__include = include
am__leading_dot = .
am__quote = 
am__tar = tar --format=ustar -chf - "$$tardir"
am__untar = tar -xf -
bindir = ${exec_prefix}/bin
build = arm-unknown-linux-gnueabi
build_alias = arm-linux-gnueabi
build_cpu = arm
build_os = linux-gnueabi
build_vendor = unknown
builddir = .
datadir = ${datarootdir}
datarootdir = ${prefix}/share
docdir = ${datarootdir}/doc/${PACKAGE_TARNAME}
dvidir = ${docdir}
exec_prefix = ${prefix}
fifodir = ${prefix}/var/run/wesnothd
host = arm-unknown-linux-gnueabi
host_alias = arm-linux-gnueabi
host_cpu = arm
host_os = linux-gnueabi
host_vendor = unknown
htmldir = ${docdir}
includedir = ${prefix}/include
infodir = ${datarootdir}/info
install_sh = ${SHELL} /home/mece/games/wesnoth/wesnoth-1.6.5/config/install-sh
libdir = ${exec_prefix}/lib
libexecdir = ${exec_prefix}/libexec
localedir = ${datarootdir}/locale
localstatedir = ${prefix}/var
mandir = ${prefix}/share/man
mkdir_p = /scratchbox/tools/bin/mkdir -p
oldincludedir = /usr/include
pdfdir = ${docdir}
pkgpythondir = 
prefix = /opt/wesnoth
prefsdir = 
program_transform_name = s,x,x,
psdir = ${docdir}
sbindir = ${exec_prefix}/sbin
servergid = 
serveruid = 
sharedstatedir = ${prefix}/com
srcdir = .
sysconfdir = ${prefix}/etc
target = arm
target_alias = 
target_cpu = arm
target_os = linux-gnueabi
target_vendor = unknown
top_build_prefix = ../
top_builddir = ..
top_srcdir = ..
EXTRA_DIST = wesnoth.desktop wesnoth-icon.png wesnoth_editor.desktop wesnoth_editor-icon.png
appentrydir = ${datarootdir}/applications
#appentrydir = ${datarootdir}/applications
dist_appentry_DATA = wesnoth.desktop
#dist_appentry_DATA = wesnoth.desktop wesnoth_editor.desktop
appicondir = ${datarootdir}/icons
#appicondir = ${datarootdir}/icons
appicon_DATA = wesnoth-icon.png
#appicon_DATA = wesnoth-icon.png wesnoth_editor-icon.png
all: all-am

.SUFFIXES:
$(srcdir)/Makefile.in:  $(srcdir)/Makefile.am  $(am__configure_deps)
	@for dep in $?; do \
	  case '$(am__configure_deps)' in \
	    *$$dep*) \
	      ( cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh ) \
	        && { if test -f $@; then exit 0; else break; fi; }; \
	      exit 1;; \
	  esac; \
	done; \
	echo ' cd $(top_srcdir) && $(AUTOMAKE) --foreign icons/Makefile'; \
	$(am__cd) $(top_srcdir) && \
	  $(AUTOMAKE) --foreign icons/Makefile
.PRECIOUS: Makefile
Makefile: $(srcdir)/Makefile.in $(top_builddir)/config.status
	@case '$?' in \
	  *config.status*) \
	    cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh;; \
	  *) \
	    echo ' cd $(top_builddir) && $(SHELL) ./config.status $(subdir)/$@ $(am__depfiles_maybe)'; \
	    cd $(top_builddir) && $(SHELL) ./config.status $(subdir)/$@ $(am__depfiles_maybe);; \
	esac;

$(top_builddir)/config.status: $(top_srcdir)/configure $(CONFIG_STATUS_DEPENDENCIES)
	cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh

$(top_srcdir)/configure:  $(am__configure_deps)
	cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh
$(ACLOCAL_M4):  $(am__aclocal_m4_deps)
	cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh
$(am__aclocal_m4_deps):
install-appiconDATA: $(appicon_DATA)
	@$(NORMAL_INSTALL)
	test -z "$(appicondir)" || $(MKDIR_P) "$(DESTDIR)$(appicondir)"
	@list='$(appicon_DATA)'; test -n "$(appicondir)" || list=; \
	for p in $$list; do \
	  if test -f "$$p"; then d=; else d="$(srcdir)/"; fi; \
	  echo "$$d$$p"; \
	done | $(am__base_list) | \
	while read files; do \
	  echo " $(INSTALL_DATA) $$files '$(DESTDIR)$(appicondir)'"; \
	  $(INSTALL_DATA) $$files "$(DESTDIR)$(appicondir)" || exit $$?; \
	done

uninstall-appiconDATA:
	@$(NORMAL_UNINSTALL)
	@list='$(appicon_DATA)'; test -n "$(appicondir)" || list=; \
	files=`for p in $$list; do echo $$p; done | sed -e 's|^.*/||'`; \
	test -n "$$files" || exit 0; \
	echo " ( cd '$(DESTDIR)$(appicondir)' && rm -f" $$files ")"; \
	cd "$(DESTDIR)$(appicondir)" && rm -f $$files
install-dist_appentryDATA: $(dist_appentry_DATA)
	@$(NORMAL_INSTALL)
	test -z "$(appentrydir)" || $(MKDIR_P) "$(DESTDIR)$(appentrydir)"
	@list='$(dist_appentry_DATA)'; test -n "$(appentrydir)" || list=; \
	for p in $$list; do \
	  if test -f "$$p"; then d=; else d="$(srcdir)/"; fi; \
	  echo "$$d$$p"; \
	done | $(am__base_list) | \
	while read files; do \
	  echo " $(INSTALL_DATA) $$files '$(DESTDIR)$(appentrydir)'"; \
	  $(INSTALL_DATA) $$files "$(DESTDIR)$(appentrydir)" || exit $$?; \
	done

uninstall-dist_appentryDATA:
	@$(NORMAL_UNINSTALL)

=== m4/Makefile ===
# Makefile.in generated by automake 1.11 from Makefile.am.
# m4/Makefile.  Generated from Makefile.in by configure.

# Copyright (C) 1994, 1995, 1996, 1997, 1998, 1999, 2000, 2001, 2002,
# 2003, 2004, 2005, 2006, 2007, 2008, 2009  Free Software Foundation,
# Inc.
# This Makefile.in is free software; the Free Software Foundation
# gives unlimited permission to copy and/or distribute it,
# with or without modifications, as long as this notice is preserved.

# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY, to the extent permitted by law; without
# even the implied warranty of MERCHANTABILITY or FITNESS FOR A
# PARTICULAR PURPOSE.



pkgdatadir = $(datadir)/wesnoth
pkgincludedir = $(includedir)/wesnoth
pkglibdir = $(libdir)/wesnoth
pkglibexecdir = $(libexecdir)/wesnoth
am__cd = CDPATH="$${ZSH_VERSION+.}$(PATH_SEPARATOR)" && cd
install_sh_DATA = $(install_sh) -c -m 644
install_sh_PROGRAM = $(install_sh) -c
install_sh_SCRIPT = $(install_sh) -c
INSTALL_HEADER = $(INSTALL_DATA)
transform = $(program_transform_name)
NORMAL_INSTALL = :
PRE_INSTALL = :
POST_INSTALL = :
NORMAL_UNINSTALL = :
PRE_UNINSTALL = :
POST_UNINSTALL = :
build_triplet = arm-unknown-linux-gnueabi
host_triplet = arm-unknown-linux-gnueabi
target_triplet = arm
subdir = m4
DIST_COMMON = $(srcdir)/Makefile.am $(srcdir)/Makefile.in ChangeLog
ACLOCAL_M4 = $(top_srcdir)/aclocal.m4
am__aclocal_m4_deps = $(top_srcdir)/m4/boost.m4 \
	$(top_srcdir)/m4/gettext.m4 $(top_srcdir)/m4/iconv.m4 \
	$(top_srcdir)/m4/lib-ld.m4 $(top_srcdir)/m4/lib-link.m4 \
	$(top_srcdir)/m4/lib-prefix.m4 $(top_srcdir)/m4/nls.m4 \
	$(top_srcdir)/m4/pkg.m4 $(top_srcdir)/m4/po.m4 \
	$(top_srcdir)/m4/progtest.m4 $(top_srcdir)/m4/zlib.m4 \
	$(top_srcdir)/configure.ac
am__configure_deps = $(am__aclocal_m4_deps) $(CONFIGURE_DEPENDENCIES) \
	$(ACLOCAL_M4)
mkinstalldirs = $(SHELL) $(top_srcdir)/config/mkinstalldirs
CONFIG_HEADER = $(top_builddir)/config.h
CONFIG_CLEAN_FILES =
CONFIG_CLEAN_VPATH_FILES =
SOURCES =
DIST_SOURCES =
DISTFILES = $(DIST_COMMON) $(DIST_SOURCES) $(TEXINFOS) $(EXTRA_DIST)
ACLOCAL = ${SHELL} /home/mece/games/wesnoth/wesnoth-1.6.5/config/missing --run aclocal-1.11
AMTAR = ${SHELL} /home/mece/games/wesnoth/wesnoth-1.6.5/config/missing --run tar
APP_ENTRY = ${datarootdir}/applications
APP_ICON = ${datarootdir}/icons
ASCIIDOC = none
AUTOCONF = ${SHELL} /home/mece/games/wesnoth/wesnoth-1.6.5/config/missing --run autoconf
AUTOHEADER = ${SHELL} /home/mece/games/wesnoth/wesnoth-1.6.5/config/missing --run autoheader
AUTOMAKE = ${SHELL} /home/mece/games/wesnoth/wesnoth-1.6.5/config/missing --run automake-1.11
AWK = gawk
BOOST_CPPFLAGS = -I/usr/include
BOOST_IOSTREAMS_LDFLAGS = -L/usr/lib
BOOST_IOSTREAMS_LIBS = -lboost_iostreams-mt
BOOST_REGEX_LDFLAGS = -L/usr/lib
BOOST_REGEX_LIBS = -lboost_regex-mt
BOOST_UNIT_TEST_FRAMEWORK_LDFLAGS = 
BOOST_UNIT_TEST_FRAMEWORK_LIBS = 
CC = arm-linux-gnueabi-gcc
CCDEPMODE = depmode=gcc3
CFLAGS = -DMAEMO_CHANGES -march=armv7-a -mcpu=cortex-a8 -mtune=cortex-a8 -mfloat-abi=softfp -mfpu=neon -W -Wall -DDISABLE_EDITOR2 -DDISABLE_POOL_ALLOC -I/usr/include
CPP = arm-linux-gnueabi-gcc -E
CPPFLAGS =   -DLOW_MEM -I/usr/include -I/usr/include/pango-1.0 -I/usr/include/cairo -I/usr/include/glib-2.0 -I/usr/lib/glib-2.0/include -I/usr/include/pixman-1 -I/usr/include/freetype2 -I/usr/include/libpng12    
CXX = arm-linux-gnueabi-g++
CXXCPP = arm-linux-gnueabi-g++ -E
CXXDEPMODE = depmode=gcc3
CXXFLAGS = -DMAEMO_CHANGES -march=armv7-a -mcpu=cortex-a8 -mtune=cortex-a8 -mfloat-abi=softfp -mfpu=neon -W -Wall -ansi  -Werror -Wno-unused -Wno-sign-compare -DDISABLE_EDITOR2 -DDISABLE_POOL_ALLOC
CYGPATH_W = echo
DATADIR = wesnoth
DATA_FILES = 
DEFS = -DHAVE_CONFIG_H
DEPDIR = .deps
DISTCHECK_CONFIGURE_FLAGS =  '--with-boost='
DOS2UNIX = none
ECHO_C = 
ECHO_N = -n
ECHO_T = 
EGREP = /scratchbox/tools/bin/grep -E
EXEEXT = 
FONTCONFIG_CFLAGS =  
FONTCONFIG_LIBS = -lfontconfig  
FONT_FILES = 
FRIBIDI_CFLAGS = 
FRIBIDI_CONFIG = none
FRIBIDI_LIBS = 
FULLLOCALEDIR = ${datadir}/${DATADIR}/${LOCALEDIR}
GMSGFMT = /scratchbox/tools/bin/msgfmt
GREP = /scratchbox/tools/bin/grep
HAS_RELATIVE_LOCALEDIR = 1
IMAGE_FILES = 
INSTALL = /scratchbox/tools/bin/install -c
INSTALL_DATA = ${INSTALL} -m 644
INSTALL_PROGRAM = ${INSTALL}
INSTALL_SCRIPT = ${INSTALL}
INSTALL_STRIP_PROGRAM = $(install_sh) -c -s
INTLLIBS = 
INTL_MACOSX_LIBS = 
LDFLAGS = 
LDPREFIX = 
LIBICONV = -liconv
LIBINTL = 
LIBOBJS = 
LIBS = -lm  -lX11  -L/usr/lib -lz
LOCALEDIR = translations
LTLIBICONV = -liconv
LTLIBINTL = 
LTLIBOBJS = 
LTOOL = /targets/links/arch_tools/bin/libtool
MAKEINFO = ${SHELL} /home/mece/games/wesnoth/wesnoth-1.6.5/config/missing --run makeinfo
MKDIR_P = /scratchbox/tools/bin/mkdir -p
MKINSTALLDIRS = $(top_builddir)/config/mkinstalldirs
MSGFMT = /scratchbox/tools/bin/msgfmt
MSGMERGE = /scratchbox/tools/bin/msgmerge
MUSIC_FILES = 
OBJEXT = o
PACKAGE = wesnoth
PACKAGE_BUGREPORT = http://bugs.wesnoth.org
PACKAGE_NAME = Battle for Wesnoth
PACKAGE_STRING = Battle for Wesnoth 1.6.5
PACKAGE_TARNAME = wesnoth
PACKAGE_URL = 
PACKAGE_VERSION = 1.6.5
PANGO_CFLAGS = -I/usr/include/pango-1.0 -I/usr/include/cairo -I/usr/include/glib-2.0 -I/usr/lib/glib-2.0/include -I/usr/include/pixman-1 -I/usr/include/freetype2 -I/usr/include/libpng12  
PANGO_LIBS = -lpangocairo-1.0 -lpango-1.0 -lcairo -lgobject-2.0 -lgmodule-2.0 -lglib-2.0  
PATH_SEPARATOR = :
PKG_CONFIG = /scratchbox/tools/bin/pkg-config
PNG_CFLAGS = -I/usr/include/libpng12
PNG_CONFIG = /usr/bin/libpng-config
PNG_LIBS = -lpng12
PO4A = none
POSUB = po
PYTHON = /scratchbox/tools/bin/python
RANLIB = arm-linux-gnueabi-ranlib
SDL_CFLAGS = -I/usr/include/SDL -D_GNU_SOURCE=1 -D_REENTRANT
SDL_CONFIG = /usr/bin/sdl-config
SDL_IMAGE_LIBS = -lSDL_image
SDL_LIBS = -L/usr/lib -lSDL
SDL_MIXER_LIBS = /usr/lib/libSDL_mixer.a
SDL_NET_LIBS = -lSDL_net
SDL_TTF_LIBS = -lSDL_ttf
SET_MAKE = 
SHELL = /bin/sh
SOUND_FILES = 
STRIP = 
USE_NLS = yes
VERSION = 1.6.5
XGETTEXT = /scratchbox/tools/bin/xgettext
XMKMF = 
XSLTPROC = /scratchbox/devkits/doctools/bin/xsltproc
X_CFLAGS = 
X_EXTRA_LIBS = 
X_LIBS =  -lX11
X_PRE_LIBS =  -lSM -lICE
ZLIB_CFLAGS = -I/usr/include
ZLIB_LIBS = -L/usr/lib -lz
abs_builddir = /home/mece/games/wesnoth/wesnoth-1.6.5/m4
abs_srcdir = /home/mece/games/wesnoth/wesnoth-1.6.5/m4
abs_top_builddir = /home/mece/games/wesnoth/wesnoth-1.6.5
abs_top_srcdir = /home/mece/games/wesnoth/wesnoth-1.6.5
ac_ct_CC = 
ac_ct_CXX = 
am__include = include
am__leading_dot = .
am__quote = 
am__tar = tar --format=ustar -chf - "$$tardir"
am__untar = tar -xf -
bindir = ${exec_prefix}/bin
build = arm-unknown-linux-gnueabi
build_alias = arm-linux-gnueabi
build_cpu = arm
build_os = linux-gnueabi
build_vendor = unknown
builddir = .
datadir = ${datarootdir}
datarootdir = ${prefix}/share
docdir = ${datarootdir}/doc/${PACKAGE_TARNAME}
dvidir = ${docdir}
exec_prefix = ${prefix}
fifodir = ${prefix}/var/run/wesnothd
host = arm-unknown-linux-gnueabi
host_alias = arm-linux-gnueabi
host_cpu = arm
host_os = linux-gnueabi
host_vendor = unknown
htmldir = ${docdir}
includedir = ${prefix}/include
infodir = ${datarootdir}/info
install_sh = ${SHELL} /home/mece/games/wesnoth/wesnoth-1.6.5/config/install-sh
libdir = ${exec_prefix}/lib
libexecdir = ${exec_prefix}/libexec
localedir = ${datarootdir}/locale
localstatedir = ${prefix}/var
mandir = ${prefix}/share/man
mkdir_p = /scratchbox/tools/bin/mkdir -p
oldincludedir = /usr/include
pdfdir = ${docdir}
pkgpythondir = 
prefix = /opt/wesnoth
prefsdir = 
program_transform_name = s,x,x,
psdir = ${docdir}
sbindir = ${exec_prefix}/sbin
servergid = 
serveruid = 
sharedstatedir = ${prefix}/com
srcdir = .
sysconfdir = ${prefix}/etc
target = arm
target_alias = 
target_cpu = arm
target_os = linux-gnueabi
target_vendor = unknown
top_build_prefix = ../
top_builddir = ..
top_srcdir = ..
EXTRA_DIST = glibc2.m4 codeset.m4 gettext.m4 glibc21.m4 iconv.m4 intdiv0.m4 intmax.m4 inttypes.m4 inttypes_h.m4 inttypes-pri.m4 isc-posix.m4 lcmessage.m4 lib-ld.m4 lib-link.m4 lib-prefix.m4 longdouble.m4 longlong.m4 nls.m4 po.m4 printf-posix.m4 progtest.m4 signed.m4 size_max.m4 stdint_h.m4 uintmax_t.m4 ulonglong.m4 wchar_t.m4 wint_t.m4 xsize.m4
all: all-am

.SUFFIXES:
$(srcdir)/Makefile.in:  $(srcdir)/Makefile.am  $(am__configure_deps)
	@for dep in $?; do \
	  case '$(am__configure_deps)' in \
	    *$$dep*) \
	      ( cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh ) \
	        && { if test -f $@; then exit 0; else break; fi; }; \
	      exit 1;; \
	  esac; \
	done; \
	echo ' cd $(top_srcdir) && $(AUTOMAKE) --foreign m4/Makefile'; \
	$(am__cd) $(top_srcdir) && \
	  $(AUTOMAKE) --foreign m4/Makefile
.PRECIOUS: Makefile
Makefile: $(srcdir)/Makefile.in $(top_builddir)/config.status
	@case '$?' in \
	  *config.status*) \
	    cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh;; \
	  *) \
	    echo ' cd $(top_builddir) && $(SHELL) ./config.status $(subdir)/$@ $(am__depfiles_maybe)'; \
	    cd $(top_builddir) && $(SHELL) ./config.status $(subdir)/$@ $(am__depfiles_maybe);; \
	esac;

$(top_builddir)/config.status: $(top_srcdir)/configure $(CONFIG_STATUS_DEPENDENCIES)
	cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh

$(top_srcdir)/configure:  $(am__configure_deps)
	cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh
$(ACLOCAL_M4):  $(am__aclocal_m4_deps)
	cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh
$(am__aclocal_m4_deps):
tags: TAGS
TAGS:

ctags: CTAGS
CTAGS:


distdir: $(DISTFILES)
	@srcdirstrip=`echo "$(srcdir)" | sed 's/[].[^$$\\*]/\\\\&/g'`; \
	topsrcdirstrip=`echo "$(top_srcdir)" | sed 's/[].[^$$\\*]/\\\\&/g'`; \
	list='$(DISTFILES)'; \
	  dist_files=`for file in $$list; do echo $$file; done | \
	  sed -e "s|^$$srcdirstrip/||;t" \
	      -e "s|^$$topsrcdirstrip/|$(top_builddir)/|;t"`; \
	case $$dist_files in \
	  */*) $(MKDIR_P) `echo "$$dist_files" | \
			   sed '/\//!d;s|^|$(distdir)/|;s,/[^/]*$$,,' | \
			   sort -u` ;; \
	esac; \
	for file in $$dist_files; do \
	  if test -f $$file || test -d $$file; then d=.; else d=$(srcdir); fi; \
	  if test -d $$d/$$file; then \
	    dir=`echo "/$$file" | sed -e 's,/[^/]*$$,,'`; \
	    if test -d "$(distdir)/$$file"; then \
	      find "$(distdir)/$$file" -type d ! -perm -700 -exec chmod u+rwx {} \;; \
	    fi; \
	    if test -d $(srcdir)/$$file && test $$d != $(srcdir); then \
	      cp -fpR $(srcdir)/$$file "$(distdir)$$dir" || exit 1; \
	      find "$(distdir)/$$file" -type d ! -perm -700 -exec chmod u+rwx {} \;; \
	    fi; \
	    cp -fpR $$d/$$file "$(distdir)$$dir" || exit 1; \
	  else \
	    test -f "$(distdir)/$$file" \
	    || cp -p $$d/$$file "$(distdir)/$$file" \
	    || exit 1; \
	  fi; \
	done
check-am: all-am
check: check-am
all-am: Makefile
installdirs:
install: install-am
install-exec: install-exec-am
install-data: install-data-am
uninstall: uninstall-am

install-am: all-am
	@$(MAKE) $(AM_MAKEFLAGS) install-exec-am install-data-am

installcheck: installcheck-am
install-strip:
	$(MAKE) $(AM_MAKEFLAGS) INSTALL_PROGRAM="$(INSTALL_STRIP_PROGRAM)" \
	  install_sh_PROGRAM="$(INSTALL_STRIP_PROGRAM)" INSTALL_STRIP_FLAG=-s \
	  `test -z '$(STRIP)' || \
	    echo "INSTALL_PROGRAM_ENV=STRIPPROG='$(STRIP)'"` install
mostlyclean-generic:

clean-generic:

distclean-generic:
	-test -z "$(CONFIG_CLEAN_FILES)" || rm -f $(CONFIG_CLEAN_FILES)
	-test . = "$(srcdir)" || test -z "$(CONFIG_CLEAN_VPATH_FILES)" || rm -f $(CONFIG_CLEAN_VPATH_FILES)

maintainer-clean-generic:
	@echo "This command is intended for maintainers to use"
	@echo "it deletes files that may require special tools to rebuild."
clean: clean-am

clean-am: clean-generic mostlyclean-am

distclean: distclean-am
	-rm -f Makefile
distclean-am: clean-am distclean-generic

dvi: dvi-am

dvi-am:

html: html-am

html-am:

info: info-am

info-am:

install-data-am:

install-dvi: install-dvi-am

install-dvi-am:

install-exec-am:

install-html: install-html-am

install-html-am:

install-info: install-info-am

install-info-am:

install-man:

install-pdf: install-pdf-am

install-pdf-am:

=== po/CMakeLists.txt ===
INCLUDE(TranslationTargets)
set(XGETTEXT_OPTIONS "--from-code=UTF-8 --sort-by-file --keyword=sgettext --keyword=vgettext --keyword=_n:1,2 --keyword=sngettext:1,2 --keyword=vngettext:1,2")

CONFIGURE_FILE(${CMAKE_CURRENT_SOURCE_DIR}/pot-update.sh.in ${CMAKE_CURRENT_BINARY_DIR}/pot-update.sh)

add_custom_target(update-pot)
add_custom_target(update-po)
add_custom_target(update-po4a)
add_custom_target(update-gmo)

set(TRANSLATION_DIRS
    wesnoth
    wesnoth-anl
    wesnoth-aoi
    wesnoth-did
    wesnoth-editor
    wesnoth-ei
    wesnoth-httt
    wesnoth-l
    wesnoth-lib
    wesnoth-low
    wesnoth-manpages
    wesnoth-manual
    wesnoth-multiplayer
    wesnoth-nr
    wesnoth-sof
    wesnoth-sotbe
    wesnoth-tb
    wesnoth-test
    wesnoth-thot
    wesnoth-trow
    wesnoth-tsg
    wesnoth-tutorial
    wesnoth-units
    wesnoth-utbs
)

foreach(DIR ${TRANSLATION_DIRS})
  add_subdirectory(${DIR})
endforeach(DIR ${TRANSLATION_DIRS})

=== po/Makefile ===
# Makefile.in generated by automake 1.11 from Makefile.am.
# po/Makefile.  Generated from Makefile.in by configure.

# Copyright (C) 1994, 1995, 1996, 1997, 1998, 1999, 2000, 2001, 2002,
# 2003, 2004, 2005, 2006, 2007, 2008, 2009  Free Software Foundation,
# Inc.
# This Makefile.in is free software; the Free Software Foundation
# gives unlimited permission to copy and/or distribute it,
# with or without modifications, as long as this notice is preserved.

# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY, to the extent permitted by law; without
# even the implied warranty of MERCHANTABILITY or FITNESS FOR A
# PARTICULAR PURPOSE.



pkgdatadir = $(datadir)/wesnoth
pkgincludedir = $(includedir)/wesnoth
pkglibdir = $(libdir)/wesnoth
pkglibexecdir = $(libexecdir)/wesnoth
am__cd = CDPATH="$${ZSH_VERSION+.}$(PATH_SEPARATOR)" && cd
install_sh_DATA = $(install_sh) -c -m 644
install_sh_PROGRAM = $(install_sh) -c
install_sh_SCRIPT = $(install_sh) -c
INSTALL_HEADER = $(INSTALL_DATA)
transform = $(program_transform_name)
NORMAL_INSTALL = :
PRE_INSTALL = :
POST_INSTALL = :
NORMAL_UNINSTALL = :
PRE_UNINSTALL = :
POST_UNINSTALL = :
build_triplet = arm-unknown-linux-gnueabi
host_triplet = arm-unknown-linux-gnueabi
target_triplet = arm
subdir = po
DIST_COMMON = $(srcdir)/Makefile.am $(srcdir)/Makefile.in
ACLOCAL_M4 = $(top_srcdir)/aclocal.m4
am__aclocal_m4_deps = $(top_srcdir)/m4/boost.m4 \
	$(top_srcdir)/m4/gettext.m4 $(top_srcdir)/m4/iconv.m4 \
	$(top_srcdir)/m4/lib-ld.m4 $(top_srcdir)/m4/lib-link.m4 \
	$(top_srcdir)/m4/lib-prefix.m4 $(top_srcdir)/m4/nls.m4 \
	$(top_srcdir)/m4/pkg.m4 $(top_srcdir)/m4/po.m4 \
	$(top_srcdir)/m4/progtest.m4 $(top_srcdir)/m4/zlib.m4 \
	$(top_srcdir)/configure.ac
am__configure_deps = $(am__aclocal_m4_deps) $(CONFIGURE_DEPENDENCIES) \
	$(ACLOCAL_M4)
mkinstalldirs = $(SHELL) $(top_srcdir)/config/mkinstalldirs
CONFIG_HEADER = $(top_builddir)/config.h
CONFIG_CLEAN_FILES =
CONFIG_CLEAN_VPATH_FILES =
SOURCES =
DIST_SOURCES =
RECURSIVE_TARGETS = all-recursive check-recursive dvi-recursive \
	html-recursive info-recursive install-data-recursive \
	install-dvi-recursive install-exec-recursive \
	install-html-recursive install-info-recursive \
	install-pdf-recursive install-ps-recursive install-recursive \
	installcheck-recursive installdirs-recursive pdf-recursive \
	ps-recursive uninstall-recursive
RECURSIVE_CLEAN_TARGETS = mostlyclean-recursive clean-recursive	\
  distclean-recursive maintainer-clean-recursive
AM_RECURSIVE_TARGETS = $(RECURSIVE_TARGETS:-recursive=) \
	$(RECURSIVE_CLEAN_TARGETS:-recursive=) tags TAGS ctags CTAGS \
	distdir
ETAGS = etags
CTAGS = ctags
DIST_SUBDIRS = $(SUBDIRS)
DISTFILES = $(DIST_COMMON) $(DIST_SOURCES) $(TEXINFOS) $(EXTRA_DIST)
am__relativize = \
  dir0=`pwd`; \
  sed_first='s,^\([^/]*\)/.*$$,\1,'; \
  sed_rest='s,^[^/]*/*,,'; \
  sed_last='s,^.*/\([^/]*\)$$,\1,'; \
  sed_butlast='s,/*[^/]*$$,,'; \
  while test -n "$$dir1"; do \
    first=`echo "$$dir1" | sed -e "$$sed_first"`; \
    if test "$$first" != "."; then \
      if test "$$first" = ".."; then \
        dir2=`echo "$$dir0" | sed -e "$$sed_last"`/"$$dir2"; \
        dir0=`echo "$$dir0" | sed -e "$$sed_butlast"`; \
      else \
        first2=`echo "$$dir2" | sed -e "$$sed_first"`; \
        if test "$$first2" = "$$first"; then \
          dir2=`echo "$$dir2" | sed -e "$$sed_rest"`; \
        else \
          dir2="../$$dir2"; \
        fi; \
        dir0="$$dir0"/"$$first"; \
      fi; \
    fi; \
    dir1=`echo "$$dir1" | sed -e "$$sed_rest"`; \
  done; \
  reldir="$$dir2"
ACLOCAL = ${SHELL} /home/mece/games/wesnoth/wesnoth-1.6.5/config/missing --run aclocal-1.11
AMTAR = ${SHELL} /home/mece/games/wesnoth/wesnoth-1.6.5/config/missing --run tar
APP_ENTRY = ${datarootdir}/applications
APP_ICON = ${datarootdir}/icons
ASCIIDOC = none
AUTOCONF = ${SHELL} /home/mece/games/wesnoth/wesnoth-1.6.5/config/missing --run autoconf
AUTOHEADER = ${SHELL} /home/mece/games/wesnoth/wesnoth-1.6.5/config/missing --run autoheader
AUTOMAKE = ${SHELL} /home/mece/games/wesnoth/wesnoth-1.6.5/config/missing --run automake-1.11
AWK = gawk
BOOST_CPPFLAGS = -I/usr/include
BOOST_IOSTREAMS_LDFLAGS = -L/usr/lib
BOOST_IOSTREAMS_LIBS = -lboost_iostreams-mt
BOOST_REGEX_LDFLAGS = -L/usr/lib
BOOST_REGEX_LIBS = -lboost_regex-mt
BOOST_UNIT_TEST_FRAMEWORK_LDFLAGS = 
BOOST_UNIT_TEST_FRAMEWORK_LIBS = 
CC = arm-linux-gnueabi-gcc
CCDEPMODE = depmode=gcc3
CFLAGS = -DMAEMO_CHANGES -march=armv7-a -mcpu=cortex-a8 -mtune=cortex-a8 -mfloat-abi=softfp -mfpu=neon -W -Wall -DDISABLE_EDITOR2 -DDISABLE_POOL_ALLOC -I/usr/include
CPP = arm-linux-gnueabi-gcc -E
CPPFLAGS =   -DLOW_MEM -I/usr/include -I/usr/include/pango-1.0 -I/usr/include/cairo -I/usr/include/glib-2.0 -I/usr/lib/glib-2.0/include -I/usr/include/pixman-1 -I/usr/include/freetype2 -I/usr/include/libpng12    
CXX = arm-linux-gnueabi-g++
CXXCPP = arm-linux-gnueabi-g++ -E
CXXDEPMODE = depmode=gcc3
CXXFLAGS = -DMAEMO_CHANGES -march=armv7-a -mcpu=cortex-a8 -mtune=cortex-a8 -mfloat-abi=softfp -mfpu=neon -W -Wall -ansi  -Werror -Wno-unused -Wno-sign-compare -DDISABLE_EDITOR2 -DDISABLE_POOL_ALLOC
CYGPATH_W = echo
DATADIR = wesnoth
DATA_FILES = 
DEFS = -DHAVE_CONFIG_H
DEPDIR = .deps
DISTCHECK_CONFIGURE_FLAGS =  '--with-boost='
DOS2UNIX = none
ECHO_C = 
ECHO_N = -n
ECHO_T = 
EGREP = /scratchbox/tools/bin/grep -E
EXEEXT = 
FONTCONFIG_CFLAGS =  
FONTCONFIG_LIBS = -lfontconfig  
FONT_FILES = 
FRIBIDI_CFLAGS = 
FRIBIDI_CONFIG = none
FRIBIDI_LIBS = 
FULLLOCALEDIR = ${datadir}/${DATADIR}/${LOCALEDIR}
GMSGFMT = /scratchbox/tools/bin/msgfmt
GREP = /scratchbox/tools/bin/grep
HAS_RELATIVE_LOCALEDIR = 1
IMAGE_FILES = 
INSTALL = /scratchbox/tools/bin/install -c
INSTALL_DATA = ${INSTALL} -m 644
INSTALL_PROGRAM = ${INSTALL}
INSTALL_SCRIPT = ${INSTALL}
INSTALL_STRIP_PROGRAM = $(install_sh) -c -s
INTLLIBS = 
INTL_MACOSX_LIBS = 
LDFLAGS = 
LDPREFIX = 
LIBICONV = -liconv
LIBINTL = 
LIBOBJS = 
LIBS = -lm  -lX11  -L/usr/lib -lz
LOCALEDIR = translations
LTLIBICONV = -liconv
LTLIBINTL = 
LTLIBOBJS = 
LTOOL = /targets/links/arch_tools/bin/libtool
MAKEINFO = ${SHELL} /home/mece/games/wesnoth/wesnoth-1.6.5/config/missing --run makeinfo
MKDIR_P = /scratchbox/tools/bin/mkdir -p
MKINSTALLDIRS = $(top_builddir)/config/mkinstalldirs
MSGFMT = /scratchbox/tools/bin/msgfmt
MSGMERGE = /scratchbox/tools/bin/msgmerge
MUSIC_FILES = 
OBJEXT = o
PACKAGE = wesnoth
PACKAGE_BUGREPORT = http://bugs.wesnoth.org
PACKAGE_NAME = Battle for Wesnoth
PACKAGE_STRING = Battle for Wesnoth 1.6.5
PACKAGE_TARNAME = wesnoth
PACKAGE_URL = 
PACKAGE_VERSION = 1.6.5
PANGO_CFLAGS = -I/usr/include/pango-1.0 -I/usr/include/cairo -I/usr/include/glib-2.0 -I/usr/lib/glib-2.0/include -I/usr/include/pixman-1 -I/usr/include/freetype2 -I/usr/include/libpng12  
PANGO_LIBS = -lpangocairo-1.0 -lpango-1.0 -lcairo -lgobject-2.0 -lgmodule-2.0 -lglib-2.0  
PATH_SEPARATOR = :
PKG_CONFIG = /scratchbox/tools/bin/pkg-config
PNG_CFLAGS = -I/usr/include/libpng12
PNG_CONFIG = /usr/bin/libpng-config
PNG_LIBS = -lpng12
PO4A = none
POSUB = po
PYTHON = /scratchbox/tools/bin/python
RANLIB = arm-linux-gnueabi-ranlib
SDL_CFLAGS = -I/usr/include/SDL -D_GNU_SOURCE=1 -D_REENTRANT
SDL_CONFIG = /usr/bin/sdl-config
SDL_IMAGE_LIBS = -lSDL_image
SDL_LIBS = -L/usr/lib -lSDL
SDL_MIXER_LIBS = /usr/lib/libSDL_mixer.a
SDL_NET_LIBS = -lSDL_net
SDL_TTF_LIBS = -lSDL_ttf
SET_MAKE = 
SHELL = /bin/sh
SOUND_FILES = 
STRIP = 
USE_NLS = yes
VERSION = 1.6.5
XGETTEXT = /scratchbox/tools/bin/xgettext
XMKMF = 
XSLTPROC = /scratchbox/devkits/doctools/bin/xsltproc
X_CFLAGS = 
X_EXTRA_LIBS = 
X_LIBS =  -lX11
X_PRE_LIBS =  -lSM -lICE
ZLIB_CFLAGS = -I/usr/include
ZLIB_LIBS = -L/usr/lib -lz
abs_builddir = /home/mece/games/wesnoth/wesnoth-1.6.5/po
abs_srcdir = /home/mece/games/wesnoth/wesnoth-1.6.5/po
abs_top_builddir = /home/mece/games/wesnoth/wesnoth-1.6.5
abs_top_srcdir = /home/mece/games/wesnoth/wesnoth-1.6.5
ac_ct_CC = 
ac_ct_CXX = 
am__include = include
am__leading_dot = .
am__quote = 
am__tar = tar --format=ustar -chf - "$$tardir"
am__untar = tar -xf -
bindir = ${exec_prefix}/bin
build = arm-unknown-linux-gnueabi
build_alias = arm-linux-gnueabi
build_cpu = arm
build_os = linux-gnueabi
build_vendor = unknown
builddir = .
datadir = ${datarootdir}
datarootdir = ${prefix}/share
docdir = ${datarootdir}/doc/${PACKAGE_TARNAME}
dvidir = ${docdir}
exec_prefix = ${prefix}
fifodir = ${prefix}/var/run/wesnothd
host = arm-unknown-linux-gnueabi
host_alias = arm-linux-gnueabi
host_cpu = arm
host_os = linux-gnueabi
host_vendor = unknown
htmldir = ${docdir}
includedir = ${prefix}/include
infodir = ${datarootdir}/info
install_sh = ${SHELL} /home/mece/games/wesnoth/wesnoth-1.6.5/config/install-sh
libdir = ${exec_prefix}/lib
libexecdir = ${exec_prefix}/libexec
localedir = ${datarootdir}/locale
localstatedir = ${prefix}/var
mandir = ${prefix}/share/man
mkdir_p = /scratchbox/tools/bin/mkdir -p
oldincludedir = /usr/include
pdfdir = ${docdir}
pkgpythondir = 
prefix = /opt/wesnoth
prefsdir = 
program_transform_name = s,x,x,
psdir = ${docdir}
sbindir = ${exec_prefix}/sbin
servergid = 
serveruid = 
sharedstatedir = ${prefix}/com
srcdir = .
sysconfdir = ${prefix}/etc
target = arm
target_alias = 
target_cpu = arm
target_os = linux-gnueabi
target_vendor = unknown
top_build_prefix = ../
top_builddir = ..
top_srcdir = ..
SUBDIRS = 
PO4A_SUBDIRS = 
PO4A_OPTIONS = --rm-backups --copyright-holder "Wesnoth Development Team"
all: all-recursive

.SUFFIXES:
$(srcdir)/Makefile.in:  $(srcdir)/Makefile.am  $(am__configure_deps)
	@for dep in $?; do \
	  case '$(am__configure_deps)' in \
	    *$$dep*) \
	      ( cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh ) \
	        && { if test -f $@; then exit 0; else break; fi; }; \
	      exit 1;; \
	  esac; \
	done; \
	echo ' cd $(top_srcdir) && $(AUTOMAKE) --foreign po/Makefile'; \
	$(am__cd) $(top_srcdir) && \
	  $(AUTOMAKE) --foreign po/Makefile
.PRECIOUS: Makefile
Makefile: $(srcdir)/Makefile.in $(top_builddir)/config.status
	@case '$?' in \
	  *config.status*) \
	    cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh;; \
	  *) \
	    echo ' cd $(top_builddir) && $(SHELL) ./config.status $(subdir)/$@ $(am__depfiles_maybe)'; \
	    cd $(top_builddir) && $(SHELL) ./config.status $(subdir)/$@ $(am__depfiles_maybe);; \
	esac;

$(top_builddir)/config.status: $(top_srcdir)/configure $(CONFIG_STATUS_DEPENDENCIES)
	cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh

$(top_srcdir)/configure:  $(am__configure_deps)
	cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh
$(ACLOCAL_M4):  $(am__aclocal_m4_deps)
	cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh
$(am__aclocal_m4_deps):

# This directory's subdirectories are mostly independent; you can cd
# into them and run `make' without going through this Makefile.
# To change the values of `make' variables: instead of editing Makefiles,
# (1) if the variable is set in `config.status', edit `config.status'
#     (which will cause the Makefiles to be regenerated when you run `make');
# (2) otherwise, pass the desired values on the `make' command line.
$(RECURSIVE_TARGETS):
	@failcom='exit 1'; \
	for f in x $$MAKEFLAGS; do \
	  case $$f in \
	    *=* | --[!k]*);; \
	    *k*) failcom='fail=yes';; \
	  esac; \
	done; \
	dot_seen=no; \
	target=`echo $@ | sed s/-recursive//`; \
	list='$(SUBDIRS)'; for subdir in $$list; do \
	  echo "Making $$target in $$subdir"; \
	  if test "$$subdir" = "."; then \
	    dot_seen=yes; \
	    local_target="$$target-am"; \
	  else \
	    local_target="$$target"; \
	  fi; \
	  ($(am__cd) $$subdir && $(MAKE) $(AM_MAKEFLAGS) $$local_target) \
	  || eval $$failcom; \
	done; \
	if test "$$dot_seen" = "no"; then \
	  $(MAKE) $(AM_MAKEFLAGS) "$$target-am" || exit 1; \
	fi; test -z "$$fail"

$(RECURSIVE_CLEAN_TARGETS):
	@failcom='exit 1'; \
	for f in x $$MAKEFLAGS; do \
	  case $$f in \
	    *=* | --[!k]*);; \
	    *k*) failcom='fail=yes';; \
	  esac; \
	done; \
	dot_seen=no; \
	case "$@" in \
	  distclean-* | maintainer-clean-*) list='$(DIST_SUBDIRS)' ;; \

=== doc/man/CMakeLists.txt ===
SET(MANPAGES)
if(ENABLE_GAME)
  SET(MANPAGES ${MANPAGES} wesnoth.6)
endif()
if(ENABLE_SERVER)
  SET(MANPAGES ${MANPAGES} wesnothd.6)
endif()

foreach(MANPAGE ${MANPAGES})
  install(FILES ${MANPAGE} DESTINATION "${MANDIR}/man6/")

  if(ENABLE_NLS)
    foreach(LANG ${LINGUAS})
      install(FILES ${LANG}/${MANPAGE} DESTINATION "${MANDIR}/${LANG}/man6/" OPTIONAL)
    endforeach(LANG ${LINGUAS})
  endif(ENABLE_NLS)
endforeach(MANPAGE ${MANPAGES})

=== doc/man/Makefile ===
# Makefile.in generated by automake 1.11 from Makefile.am.
# doc/man/Makefile.  Generated from Makefile.in by configure.

# Copyright (C) 1994, 1995, 1996, 1997, 1998, 1999, 2000, 2001, 2002,
# 2003, 2004, 2005, 2006, 2007, 2008, 2009  Free Software Foundation,
# Inc.
# This Makefile.in is free software; the Free Software Foundation
# gives unlimited permission to copy and/or distribute it,
# with or without modifications, as long as this notice is preserved.

# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY, to the extent permitted by law; without
# even the implied warranty of MERCHANTABILITY or FITNESS FOR A
# PARTICULAR PURPOSE.



pkgdatadir = $(datadir)/wesnoth
pkgincludedir = $(includedir)/wesnoth
pkglibdir = $(libdir)/wesnoth
pkglibexecdir = $(libexecdir)/wesnoth
am__cd = CDPATH="$${ZSH_VERSION+.}$(PATH_SEPARATOR)" && cd
install_sh_DATA = $(install_sh) -c -m 644
install_sh_PROGRAM = $(install_sh) -c
install_sh_SCRIPT = $(install_sh) -c
INSTALL_HEADER = $(INSTALL_DATA)
transform = $(program_transform_name)
NORMAL_INSTALL = :
PRE_INSTALL = :
POST_INSTALL = :
NORMAL_UNINSTALL = :
PRE_UNINSTALL = :
POST_UNINSTALL = :
build_triplet = arm-unknown-linux-gnueabi
host_triplet = arm-unknown-linux-gnueabi
target_triplet = arm
am__append_1 = wesnoth.6
#am__append_2 = wesnothd.6
subdir = doc/man
DIST_COMMON = $(srcdir)/Makefile.am $(srcdir)/Makefile.in
ACLOCAL_M4 = $(top_srcdir)/aclocal.m4
am__aclocal_m4_deps = $(top_srcdir)/m4/boost.m4 \
	$(top_srcdir)/m4/gettext.m4 $(top_srcdir)/m4/iconv.m4 \
	$(top_srcdir)/m4/lib-ld.m4 $(top_srcdir)/m4/lib-link.m4 \
	$(top_srcdir)/m4/lib-prefix.m4 $(top_srcdir)/m4/nls.m4 \
	$(top_srcdir)/m4/pkg.m4 $(top_srcdir)/m4/po.m4 \
	$(top_srcdir)/m4/progtest.m4 $(top_srcdir)/m4/zlib.m4 \
	$(top_srcdir)/configure.ac
am__configure_deps = $(am__aclocal_m4_deps) $(CONFIGURE_DEPENDENCIES) \
	$(ACLOCAL_M4)
mkinstalldirs = $(SHELL) $(top_srcdir)/config/mkinstalldirs
CONFIG_HEADER = $(top_builddir)/config.h
CONFIG_CLEAN_FILES =
CONFIG_CLEAN_VPATH_FILES =
SOURCES =
DIST_SOURCES =
DISTFILES = $(DIST_COMMON) $(DIST_SOURCES) $(TEXINFOS) $(EXTRA_DIST)
ACLOCAL = ${SHELL} /home/mece/games/wesnoth/wesnoth-1.6.5/config/missing --run aclocal-1.11
AMTAR = ${SHELL} /home/mece/games/wesnoth/wesnoth-1.6.5/config/missing --run tar
APP_ENTRY = ${datarootdir}/applications
APP_ICON = ${datarootdir}/icons
ASCIIDOC = none
AUTOCONF = ${SHELL} /home/mece/games/wesnoth/wesnoth-1.6.5/config/missing --run autoconf
AUTOHEADER = ${SHELL} /home/mece/games/wesnoth/wesnoth-1.6.5/config/missing --run autoheader
AUTOMAKE = ${SHELL} /home/mece/games/wesnoth/wesnoth-1.6.5/config/missing --run automake-1.11
AWK = gawk
BOOST_CPPFLAGS = -I/usr/include
BOOST_IOSTREAMS_LDFLAGS = -L/usr/lib
BOOST_IOSTREAMS_LIBS = -lboost_iostreams-mt
BOOST_REGEX_LDFLAGS = -L/usr/lib
BOOST_REGEX_LIBS = -lboost_regex-mt
BOOST_UNIT_TEST_FRAMEWORK_LDFLAGS = 
BOOST_UNIT_TEST_FRAMEWORK_LIBS = 
CC = arm-linux-gnueabi-gcc
CCDEPMODE = depmode=gcc3
CFLAGS = -DMAEMO_CHANGES -march=armv7-a -mcpu=cortex-a8 -mtune=cortex-a8 -mfloat-abi=softfp -mfpu=neon -W -Wall -DDISABLE_EDITOR2 -DDISABLE_POOL_ALLOC -I/usr/include
CPP = arm-linux-gnueabi-gcc -E
CPPFLAGS =   -DLOW_MEM -I/usr/include -I/usr/include/pango-1.0 -I/usr/include/cairo -I/usr/include/glib-2.0 -I/usr/lib/glib-2.0/include -I/usr/include/pixman-1 -I/usr/include/freetype2 -I/usr/include/libpng12    
CXX = arm-linux-gnueabi-g++
CXXCPP = arm-linux-gnueabi-g++ -E
CXXDEPMODE = depmode=gcc3
CXXFLAGS = -DMAEMO_CHANGES -march=armv7-a -mcpu=cortex-a8 -mtune=cortex-a8 -mfloat-abi=softfp -mfpu=neon -W -Wall -ansi  -Werror -Wno-unused -Wno-sign-compare -DDISABLE_EDITOR2 -DDISABLE_POOL_ALLOC
CYGPATH_W = echo
DATADIR = wesnoth
DATA_FILES = 
DEFS = -DHAVE_CONFIG_H
DEPDIR = .deps
DISTCHECK_CONFIGURE_FLAGS =  '--with-boost='
DOS2UNIX = none
ECHO_C = 
ECHO_N = -n
ECHO_T = 
EGREP = /scratchbox/tools/bin/grep -E
EXEEXT = 
FONTCONFIG_CFLAGS =  
FONTCONFIG_LIBS = -lfontconfig  
FONT_FILES = 
FRIBIDI_CFLAGS = 
FRIBIDI_CONFIG = none
FRIBIDI_LIBS = 
FULLLOCALEDIR = ${datadir}/${DATADIR}/${LOCALEDIR}
GMSGFMT = /scratchbox/tools/bin/msgfmt
GREP = /scratchbox/tools/bin/grep
HAS_RELATIVE_LOCALEDIR = 1
IMAGE_FILES = 
INSTALL = /scratchbox/tools/bin/install -c
INSTALL_DATA = ${INSTALL} -m 644
INSTALL_PROGRAM = ${INSTALL}
INSTALL_SCRIPT = ${INSTALL}
INSTALL_STRIP_PROGRAM = $(install_sh) -c -s
INTLLIBS = 
INTL_MACOSX_LIBS = 
LDFLAGS = 
LDPREFIX = 
LIBICONV = -liconv
LIBINTL = 
LIBOBJS = 
LIBS = -lm  -lX11  -L/usr/lib -lz
LOCALEDIR = translations
LTLIBICONV = -liconv
LTLIBINTL = 
LTLIBOBJS = 
LTOOL = /targets/links/arch_tools/bin/libtool
MAKEINFO = ${SHELL} /home/mece/games/wesnoth/wesnoth-1.6.5/config/missing --run makeinfo
MKDIR_P = /scratchbox/tools/bin/mkdir -p
MKINSTALLDIRS = $(top_builddir)/config/mkinstalldirs
MSGFMT = /scratchbox/tools/bin/msgfmt
MSGMERGE = /scratchbox/tools/bin/msgmerge
MUSIC_FILES = 
OBJEXT = o
PACKAGE = wesnoth
PACKAGE_BUGREPORT = http://bugs.wesnoth.org
PACKAGE_NAME = Battle for Wesnoth
PACKAGE_STRING = Battle for Wesnoth 1.6.5
PACKAGE_TARNAME = wesnoth
PACKAGE_URL = 
PACKAGE_VERSION = 1.6.5
PANGO_CFLAGS = -I/usr/include/pango-1.0 -I/usr/include/cairo -I/usr/include/glib-2.0 -I/usr/lib/glib-2.0/include -I/usr/include/pixman-1 -I/usr/include/freetype2 -I/usr/include/libpng12  
PANGO_LIBS = -lpangocairo-1.0 -lpango-1.0 -lcairo -lgobject-2.0 -lgmodule-2.0 -lglib-2.0  
PATH_SEPARATOR = :
PKG_CONFIG = /scratchbox/tools/bin/pkg-config
PNG_CFLAGS = -I/usr/include/libpng12
PNG_CONFIG = /usr/bin/libpng-config
PNG_LIBS = -lpng12
PO4A = none
POSUB = po
PYTHON = /scratchbox/tools/bin/python
RANLIB = arm-linux-gnueabi-ranlib
SDL_CFLAGS = -I/usr/include/SDL -D_GNU_SOURCE=1 -D_REENTRANT
SDL_CONFIG = /usr/bin/sdl-config
SDL_IMAGE_LIBS = -lSDL_image
SDL_LIBS = -L/usr/lib -lSDL
SDL_MIXER_LIBS = /usr/lib/libSDL_mixer.a
SDL_NET_LIBS = -lSDL_net
SDL_TTF_LIBS = -lSDL_ttf
SET_MAKE = 
SHELL = /bin/sh
SOUND_FILES = 
STRIP = 
USE_NLS = yes
VERSION = 1.6.5
XGETTEXT = /scratchbox/tools/bin/xgettext
XMKMF = 
XSLTPROC = /scratchbox/devkits/doctools/bin/xsltproc
X_CFLAGS = 
X_EXTRA_LIBS = 
X_LIBS =  -lX11
X_PRE_LIBS =  -lSM -lICE
ZLIB_CFLAGS = -I/usr/include
ZLIB_LIBS = -L/usr/lib -lz
abs_builddir = /home/mece/games/wesnoth/wesnoth-1.6.5/doc/man
abs_srcdir = /home/mece/games/wesnoth/wesnoth-1.6.5/doc/man
abs_top_builddir = /home/mece/games/wesnoth/wesnoth-1.6.5
abs_top_srcdir = /home/mece/games/wesnoth/wesnoth-1.6.5
ac_ct_CC = 
ac_ct_CXX = 
am__include = include
am__leading_dot = .
am__quote = 
am__tar = tar --format=ustar -chf - "$$tardir"
am__untar = tar -xf -
bindir = ${exec_prefix}/bin
build = arm-unknown-linux-gnueabi
build_alias = arm-linux-gnueabi
build_cpu = arm
build_os = linux-gnueabi
build_vendor = unknown
builddir = .
datadir = ${datarootdir}
datarootdir = ${prefix}/share
docdir = ${datarootdir}/doc/${PACKAGE_TARNAME}
dvidir = ${docdir}
exec_prefix = ${prefix}
fifodir = ${prefix}/var/run/wesnothd
host = arm-unknown-linux-gnueabi
host_alias = arm-linux-gnueabi
host_cpu = arm
host_os = linux-gnueabi
host_vendor = unknown
htmldir = ${docdir}
includedir = ${prefix}/include
infodir = ${datarootdir}/info
install_sh = ${SHELL} /home/mece/games/wesnoth/wesnoth-1.6.5/config/install-sh
libdir = ${exec_prefix}/lib
libexecdir = ${exec_prefix}/libexec
localedir = ${datarootdir}/locale
localstatedir = ${prefix}/var
mandir = ${prefix}/share/man
mkdir_p = /scratchbox/tools/bin/mkdir -p
oldincludedir = /usr/include
pdfdir = ${docdir}
pkgpythondir = 
prefix = /opt/wesnoth
prefsdir = 
program_transform_name = s,x,x,
psdir = ${docdir}
sbindir = ${exec_prefix}/sbin
servergid = 
serveruid = 
sharedstatedir = ${prefix}/com
srcdir = .
sysconfdir = ${prefix}/etc
target = arm
target_alias = 
target_cpu = arm
target_os = linux-gnueabi
target_vendor = unknown
top_build_prefix = ../../
top_builddir = ../..
top_srcdir = ../..
MAN_LANG = cs da de en_GB es et fi fr gl hu it ja lt nl pl racv ru sk sr sr@latin sv tr zh_CN zh_TW
MAN_PAGES = wesnoth.6 wesnothd.6
INSTALL_MAN_PAGES = $(am__append_1) $(am__append_2)
all: all-am

.SUFFIXES:
$(srcdir)/Makefile.in:  $(srcdir)/Makefile.am  $(am__configure_deps)
	@for dep in $?; do \
	  case '$(am__configure_deps)' in \
	    *$$dep*) \
	      ( cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh ) \
	        && { if test -f $@; then exit 0; else break; fi; }; \
	      exit 1;; \
	  esac; \
	done; \
	echo ' cd $(top_srcdir) && $(AUTOMAKE) --foreign doc/man/Makefile'; \
	$(am__cd) $(top_srcdir) && \
	  $(AUTOMAKE) --foreign doc/man/Makefile
.PRECIOUS: Makefile
Makefile: $(srcdir)/Makefile.in $(top_builddir)/config.status
	@case '$?' in \
	  *config.status*) \
	    cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh;; \
	  *) \
	    echo ' cd $(top_builddir) && $(SHELL) ./config.status $(subdir)/$@ $(am__depfiles_maybe)'; \
	    cd $(top_builddir) && $(SHELL) ./config.status $(subdir)/$@ $(am__depfiles_maybe);; \
	esac;

$(top_builddir)/config.status: $(top_srcdir)/configure $(CONFIG_STATUS_DEPENDENCIES)
	cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh

$(top_srcdir)/configure:  $(am__configure_deps)
	cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh
$(ACLOCAL_M4):  $(am__aclocal_m4_deps)
	cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh
$(am__aclocal_m4_deps):
tags: TAGS
TAGS:

ctags: CTAGS
CTAGS:


distdir: $(DISTFILES)
	@srcdirstrip=`echo "$(srcdir)" | sed 's/[].[^$$\\*]/\\\\&/g'`; \
	topsrcdirstrip=`echo "$(top_srcdir)" | sed 's/[].[^$$\\*]/\\\\&/g'`; \
	list='$(DISTFILES)'; \
	  dist_files=`for file in $$list; do echo $$file; done | \
	  sed -e "s|^$$srcdirstrip/||;t" \
	      -e "s|^$$topsrcdirstrip/|$(top_builddir)/|;t"`; \
	case $$dist_files in \
	  */*) $(MKDIR_P) `echo "$$dist_files" | \
			   sed '/\//!d;s|^|$(distdir)/|;s,/[^/]*$$,,' | \
			   sort -u` ;; \
	esac; \
	for file in $$dist_files; do \
	  if test -f $$file || test -d $$file; then d=.; else d=$(srcdir); fi; \
	  if test -d $$d/$$file; then \
	    dir=`echo "/$$file" | sed -e 's,/[^/]*$$,,'`; \
	    if test -d "$(distdir)/$$file"; then \
	      find "$(distdir)/$$file" -type d ! -perm -700 -exec chmod u+rwx {} \;; \
	    fi; \
	    if test -d $(srcdir)/$$file && test $$d != $(srcdir); then \
	      cp -fpR $(srcdir)/$$file "$(distdir)$$dir" || exit 1; \
	      find "$(distdir)/$$file" -type d ! -perm -700 -exec chmod u+rwx {} \;; \
	    fi; \
	    cp -fpR $$d/$$file "$(distdir)$$dir" || exit 1; \
	  else \
	    test -f "$(distdir)/$$file" \
	    || cp -p $$d/$$file "$(distdir)/$$file" \
	    || exit 1; \
	  fi; \
	done
	$(MAKE) $(AM_MAKEFLAGS) \
	  top_distdir="$(top_distdir)" distdir="$(distdir)" \
	  dist-hook
check-am: all-am
check: check-am
all-am: Makefile
installdirs:
install: install-am
install-exec: install-exec-am
install-data: install-data-am
uninstall: uninstall-am

install-am: all-am
	@$(MAKE) $(AM_MAKEFLAGS) install-exec-am install-data-am

installcheck: installcheck-am
install-strip:
	$(MAKE) $(AM_MAKEFLAGS) INSTALL_PROGRAM="$(INSTALL_STRIP_PROGRAM)" \
	  install_sh_PROGRAM="$(INSTALL_STRIP_PROGRAM)" INSTALL_STRIP_FLAG=-s \
	  `test -z '$(STRIP)' || \
	    echo "INSTALL_PROGRAM_ENV=STRIPPROG='$(STRIP)'"` install
mostlyclean-generic:

clean-generic:

distclean-generic:
	-test -z "$(CONFIG_CLEAN_FILES)" || rm -f $(CONFIG_CLEAN_FILES)
	-test . = "$(srcdir)" || test -z "$(CONFIG_CLEAN_VPATH_FILES)" || rm -f $(CONFIG_CLEAN_VPATH_FILES)

maintainer-clean-generic:
	@echo "This command is intended for maintainers to use"
	@echo "it deletes files that may require special tools to rebuild."
clean: clean-am

clean-am: clean-generic mostlyclean-am

distclean: distclean-am
	-rm -f Makefile
distclean-am: clean-am distclean-generic

dvi: dvi-am

dvi-am:

html: html-am

html-am:

info: info-am

info-am:

install-data-am:
	@$(NORMAL_INSTALL)
	$(MAKE) $(AM_MAKEFLAGS) install-data-hook
install-dvi: install-dvi-am

install-dvi-am:

install-exec-am:

install-html: install-html-am

install-html-am:

install-info: install-info-am

=== doc/manual/Makefile ===
# Makefile.in generated by automake 1.11 from Makefile.am.
# doc/manual/Makefile.  Generated from Makefile.in by configure.

# Copyright (C) 1994, 1995, 1996, 1997, 1998, 1999, 2000, 2001, 2002,
# 2003, 2004, 2005, 2006, 2007, 2008, 2009  Free Software Foundation,
# Inc.
# This Makefile.in is free software; the Free Software Foundation
# gives unlimited permission to copy and/or distribute it,
# with or without modifications, as long as this notice is preserved.

# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY, to the extent permitted by law; without
# even the implied warranty of MERCHANTABILITY or FITNESS FOR A
# PARTICULAR PURPOSE.



pkgdatadir = $(datadir)/wesnoth
pkgincludedir = $(includedir)/wesnoth
pkglibdir = $(libdir)/wesnoth
pkglibexecdir = $(libexecdir)/wesnoth
am__cd = CDPATH="$${ZSH_VERSION+.}$(PATH_SEPARATOR)" && cd
install_sh_DATA = $(install_sh) -c -m 644
install_sh_PROGRAM = $(install_sh) -c
install_sh_SCRIPT = $(install_sh) -c
INSTALL_HEADER = $(INSTALL_DATA)
transform = $(program_transform_name)
NORMAL_INSTALL = :
PRE_INSTALL = :
POST_INSTALL = :
NORMAL_UNINSTALL = :
PRE_UNINSTALL = :
POST_UNINSTALL = :
build_triplet = arm-unknown-linux-gnueabi
host_triplet = arm-unknown-linux-gnueabi
target_triplet = arm
subdir = doc/manual
DIST_COMMON = $(srcdir)/Makefile.am $(srcdir)/Makefile.in
ACLOCAL_M4 = $(top_srcdir)/aclocal.m4
am__aclocal_m4_deps = $(top_srcdir)/m4/boost.m4 \
	$(top_srcdir)/m4/gettext.m4 $(top_srcdir)/m4/iconv.m4 \
	$(top_srcdir)/m4/lib-ld.m4 $(top_srcdir)/m4/lib-link.m4 \
	$(top_srcdir)/m4/lib-prefix.m4 $(top_srcdir)/m4/nls.m4 \
	$(top_srcdir)/m4/pkg.m4 $(top_srcdir)/m4/po.m4 \
	$(top_srcdir)/m4/progtest.m4 $(top_srcdir)/m4/zlib.m4 \
	$(top_srcdir)/configure.ac
am__configure_deps = $(am__aclocal_m4_deps) $(CONFIGURE_DEPENDENCIES) \
	$(ACLOCAL_M4)
mkinstalldirs = $(SHELL) $(top_srcdir)/config/mkinstalldirs
CONFIG_HEADER = $(top_builddir)/config.h
CONFIG_CLEAN_FILES =
CONFIG_CLEAN_VPATH_FILES =
SOURCES =
DIST_SOURCES =
DISTFILES = $(DIST_COMMON) $(DIST_SOURCES) $(TEXINFOS) $(EXTRA_DIST)
ACLOCAL = ${SHELL} /home/mece/games/wesnoth/wesnoth-1.6.5/config/missing --run aclocal-1.11
AMTAR = ${SHELL} /home/mece/games/wesnoth/wesnoth-1.6.5/config/missing --run tar
APP_ENTRY = ${datarootdir}/applications
APP_ICON = ${datarootdir}/icons
ASCIIDOC = none
AUTOCONF = ${SHELL} /home/mece/games/wesnoth/wesnoth-1.6.5/config/missing --run autoconf
AUTOHEADER = ${SHELL} /home/mece/games/wesnoth/wesnoth-1.6.5/config/missing --run autoheader
AUTOMAKE = ${SHELL} /home/mece/games/wesnoth/wesnoth-1.6.5/config/missing --run automake-1.11
AWK = gawk
BOOST_CPPFLAGS = -I/usr/include
BOOST_IOSTREAMS_LDFLAGS = -L/usr/lib
BOOST_IOSTREAMS_LIBS = -lboost_iostreams-mt
BOOST_REGEX_LDFLAGS = -L/usr/lib
BOOST_REGEX_LIBS = -lboost_regex-mt
BOOST_UNIT_TEST_FRAMEWORK_LDFLAGS = 
BOOST_UNIT_TEST_FRAMEWORK_LIBS = 
CC = arm-linux-gnueabi-gcc
CCDEPMODE = depmode=gcc3
CFLAGS = -DMAEMO_CHANGES -march=armv7-a -mcpu=cortex-a8 -mtune=cortex-a8 -mfloat-abi=softfp -mfpu=neon -W -Wall -DDISABLE_EDITOR2 -DDISABLE_POOL_ALLOC -I/usr/include
CPP = arm-linux-gnueabi-gcc -E
CPPFLAGS =   -DLOW_MEM -I/usr/include -I/usr/include/pango-1.0 -I/usr/include/cairo -I/usr/include/glib-2.0 -I/usr/lib/glib-2.0/include -I/usr/include/pixman-1 -I/usr/include/freetype2 -I/usr/include/libpng12    
CXX = arm-linux-gnueabi-g++
CXXCPP = arm-linux-gnueabi-g++ -E
CXXDEPMODE = depmode=gcc3
CXXFLAGS = -DMAEMO_CHANGES -march=armv7-a -mcpu=cortex-a8 -mtune=cortex-a8 -mfloat-abi=softfp -mfpu=neon -W -Wall -ansi  -Werror -Wno-unused -Wno-sign-compare -DDISABLE_EDITOR2 -DDISABLE_POOL_ALLOC
CYGPATH_W = echo
DATADIR = wesnoth
DATA_FILES = 
DEFS = -DHAVE_CONFIG_H
DEPDIR = .deps
DISTCHECK_CONFIGURE_FLAGS =  '--with-boost='
DOS2UNIX = none
ECHO_C = 
ECHO_N = -n
ECHO_T = 
EGREP = /scratchbox/tools/bin/grep -E
EXEEXT = 
FONTCONFIG_CFLAGS =  
FONTCONFIG_LIBS = -lfontconfig  
FONT_FILES = 
FRIBIDI_CFLAGS = 
FRIBIDI_CONFIG = none
FRIBIDI_LIBS = 
FULLLOCALEDIR = ${datadir}/${DATADIR}/${LOCALEDIR}
GMSGFMT = /scratchbox/tools/bin/msgfmt
GREP = /scratchbox/tools/bin/grep
HAS_RELATIVE_LOCALEDIR = 1
IMAGE_FILES = 
INSTALL = /scratchbox/tools/bin/install -c
INSTALL_DATA = ${INSTALL} -m 644
INSTALL_PROGRAM = ${INSTALL}
INSTALL_SCRIPT = ${INSTALL}
INSTALL_STRIP_PROGRAM = $(install_sh) -c -s
INTLLIBS = 
INTL_MACOSX_LIBS = 
LDFLAGS = 
LDPREFIX = 
LIBICONV = -liconv
LIBINTL = 
LIBOBJS = 
LIBS = -lm  -lX11  -L/usr/lib -lz
LOCALEDIR = translations
LTLIBICONV = -liconv
LTLIBINTL = 
LTLIBOBJS = 
LTOOL = /targets/links/arch_tools/bin/libtool
MAKEINFO = ${SHELL} /home/mece/games/wesnoth/wesnoth-1.6.5/config/missing --run makeinfo
MKDIR_P = /scratchbox/tools/bin/mkdir -p
MKINSTALLDIRS = $(top_builddir)/config/mkinstalldirs
MSGFMT = /scratchbox/tools/bin/msgfmt
MSGMERGE = /scratchbox/tools/bin/msgmerge
MUSIC_FILES = 
OBJEXT = o
PACKAGE = wesnoth
PACKAGE_BUGREPORT = http://bugs.wesnoth.org
PACKAGE_NAME = Battle for Wesnoth
PACKAGE_STRING = Battle for Wesnoth 1.6.5
PACKAGE_TARNAME = wesnoth
PACKAGE_URL = 
PACKAGE_VERSION = 1.6.5
PANGO_CFLAGS = -I/usr/include/pango-1.0 -I/usr/include/cairo -I/usr/include/glib-2.0 -I/usr/lib/glib-2.0/include -I/usr/include/pixman-1 -I/usr/include/freetype2 -I/usr/include/libpng12  
PANGO_LIBS = -lpangocairo-1.0 -lpango-1.0 -lcairo -lgobject-2.0 -lgmodule-2.0 -lglib-2.0  
PATH_SEPARATOR = :
PKG_CONFIG = /scratchbox/tools/bin/pkg-config
PNG_CFLAGS = -I/usr/include/libpng12
PNG_CONFIG = /usr/bin/libpng-config
PNG_LIBS = -lpng12
PO4A = none
POSUB = po
PYTHON = /scratchbox/tools/bin/python
RANLIB = arm-linux-gnueabi-ranlib
SDL_CFLAGS = -I/usr/include/SDL -D_GNU_SOURCE=1 -D_REENTRANT
SDL_CONFIG = /usr/bin/sdl-config
SDL_IMAGE_LIBS = -lSDL_image
SDL_LIBS = -L/usr/lib -lSDL
SDL_MIXER_LIBS = /usr/lib/libSDL_mixer.a
SDL_NET_LIBS = -lSDL_net
SDL_TTF_LIBS = -lSDL_ttf
SET_MAKE = 
SHELL = /bin/sh
SOUND_FILES = 
STRIP = 
USE_NLS = yes
VERSION = 1.6.5
XGETTEXT = /scratchbox/tools/bin/xgettext
XMKMF = 
XSLTPROC = /scratchbox/devkits/doctools/bin/xsltproc
X_CFLAGS = 
X_EXTRA_LIBS = 
X_LIBS =  -lX11
X_PRE_LIBS =  -lSM -lICE
ZLIB_CFLAGS = -I/usr/include
ZLIB_LIBS = -L/usr/lib -lz
abs_builddir = /home/mece/games/wesnoth/wesnoth-1.6.5/doc/manual
abs_srcdir = /home/mece/games/wesnoth/wesnoth-1.6.5/doc/manual
abs_top_builddir = /home/mece/games/wesnoth/wesnoth-1.6.5
abs_top_srcdir = /home/mece/games/wesnoth/wesnoth-1.6.5
ac_ct_CC = 
ac_ct_CXX = 
am__include = include
am__leading_dot = .
am__quote = 
am__tar = tar --format=ustar -chf - "$$tardir"
am__untar = tar -xf -
bindir = ${exec_prefix}/bin
build = arm-unknown-linux-gnueabi
build_alias = arm-linux-gnueabi
build_cpu = arm
build_os = linux-gnueabi
build_vendor = unknown
builddir = .
datadir = ${datarootdir}
datarootdir = ${prefix}/share
docdir = ${datarootdir}/doc/${PACKAGE_TARNAME}
dvidir = ${docdir}
exec_prefix = ${prefix}
fifodir = ${prefix}/var/run/wesnothd
host = arm-unknown-linux-gnueabi
host_alias = arm-linux-gnueabi
host_cpu = arm
host_os = linux-gnueabi
host_vendor = unknown
htmldir = ${docdir}
includedir = ${prefix}/include
infodir = ${datarootdir}/info
install_sh = ${SHELL} /home/mece/games/wesnoth/wesnoth-1.6.5/config/install-sh
libdir = ${exec_prefix}/lib
libexecdir = ${exec_prefix}/libexec
localedir = ${datarootdir}/locale
localstatedir = ${prefix}/var
mandir = ${prefix}/share/man
mkdir_p = /scratchbox/tools/bin/mkdir -p
oldincludedir = /usr/include
pdfdir = ${docdir}
pkgpythondir = 
prefix = /opt/wesnoth
prefsdir = 
program_transform_name = s,x,x,
psdir = ${docdir}
sbindir = ${exec_prefix}/sbin
servergid = 
serveruid = 
sharedstatedir = ${prefix}/com
srcdir = .
sysconfdir = ${prefix}/etc
target = arm
target_alias = 
target_cpu = arm
target_os = linux-gnueabi
target_vendor = unknown
top_build_prefix = ../../
top_builddir = ../..
top_srcdir = ../..
#XSLTOPTS = --nonet \
#  --stringparam callout.graphics 0 \
#  --stringparam navig.graphics 0 \
#  --stringparam admon.textlabel 1 \
#  --stringparam admon.graphics 0 \
#  --stringparam html.stylesheet "./styles/manual.css"

#PO4AOPTS = --no-backups --copyright-holder "Wesnoth Development Team"
all: all-am

.SUFFIXES:
$(srcdir)/Makefile.in:  $(srcdir)/Makefile.am  $(am__configure_deps)
	@for dep in $?; do \
	  case '$(am__configure_deps)' in \
	    *$$dep*) \
	      ( cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh ) \
	        && { if test -f $@; then exit 0; else break; fi; }; \
	      exit 1;; \
	  esac; \
	done; \
	echo ' cd $(top_srcdir) && $(AUTOMAKE) --foreign doc/manual/Makefile'; \
	$(am__cd) $(top_srcdir) && \
	  $(AUTOMAKE) --foreign doc/manual/Makefile
.PRECIOUS: Makefile
Makefile: $(srcdir)/Makefile.in $(top_builddir)/config.status
	@case '$?' in \
	  *config.status*) \
	    cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh;; \
	  *) \
	    echo ' cd $(top_builddir) && $(SHELL) ./config.status $(subdir)/$@ $(am__depfiles_maybe)'; \
	    cd $(top_builddir) && $(SHELL) ./config.status $(subdir)/$@ $(am__depfiles_maybe);; \
	esac;

$(top_builddir)/config.status: $(top_srcdir)/configure $(CONFIG_STATUS_DEPENDENCIES)
	cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh

$(top_srcdir)/configure:  $(am__configure_deps)
	cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh
$(ACLOCAL_M4):  $(am__aclocal_m4_deps)
	cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh
$(am__aclocal_m4_deps):
tags: TAGS
TAGS:

ctags: CTAGS
CTAGS:

dist-hook:

distdir: $(DISTFILES)
	@srcdirstrip=`echo "$(srcdir)" | sed 's/[].[^$$\\*]/\\\\&/g'`; \
	topsrcdirstrip=`echo "$(top_srcdir)" | sed 's/[].[^$$\\*]/\\\\&/g'`; \
	list='$(DISTFILES)'; \
	  dist_files=`for file in $$list; do echo $$file; done | \
	  sed -e "s|^$$srcdirstrip/||;t" \
	      -e "s|^$$topsrcdirstrip/|$(top_builddir)/|;t"`; \
	case $$dist_files in \
	  */*) $(MKDIR_P) `echo "$$dist_files" | \
			   sed '/\//!d;s|^|$(distdir)/|;s,/[^/]*$$,,' | \
			   sort -u` ;; \
	esac; \
	for file in $$dist_files; do \
	  if test -f $$file || test -d $$file; then d=.; else d=$(srcdir); fi; \
	  if test -d $$d/$$file; then \
	    dir=`echo "/$$file" | sed -e 's,/[^/]*$$,,'`; \
	    if test -d "$(distdir)/$$file"; then \
	      find "$(distdir)/$$file" -type d ! -perm -700 -exec chmod u+rwx {} \;; \
	    fi; \
	    if test -d $(srcdir)/$$file && test $$d != $(srcdir); then \
	      cp -fpR $(srcdir)/$$file "$(distdir)$$dir" || exit 1; \
	      find "$(distdir)/$$file" -type d ! -perm -700 -exec chmod u+rwx {} \;; \
	    fi; \
	    cp -fpR $$d/$$file "$(distdir)$$dir" || exit 1; \
	  else \
	    test -f "$(distdir)/$$file" \
	    || cp -p $$d/$$file "$(distdir)/$$file" \
	    || exit 1; \
	  fi; \
	done
	$(MAKE) $(AM_MAKEFLAGS) \
	  top_distdir="$(top_distdir)" distdir="$(distdir)" \
	  dist-hook
check-am: all-am
check: check-am
all-am: Makefile
installdirs:
install: install-am
install-exec: install-exec-am
install-data: install-data-am
uninstall: uninstall-am

install-am: all-am
	@$(MAKE) $(AM_MAKEFLAGS) install-exec-am install-data-am

installcheck: installcheck-am
install-strip:
	$(MAKE) $(AM_MAKEFLAGS) INSTALL_PROGRAM="$(INSTALL_STRIP_PROGRAM)" \
	  install_sh_PROGRAM="$(INSTALL_STRIP_PROGRAM)" INSTALL_STRIP_FLAG=-s \
	  `test -z '$(STRIP)' || \
	    echo "INSTALL_PROGRAM_ENV=STRIPPROG='$(STRIP)'"` install
mostlyclean-generic:

clean-generic:

distclean-generic:
	-test -z "$(CONFIG_CLEAN_FILES)" || rm -f $(CONFIG_CLEAN_FILES)
	-test . = "$(srcdir)" || test -z "$(CONFIG_CLEAN_VPATH_FILES)" || rm -f $(CONFIG_CLEAN_VPATH_FILES)

maintainer-clean-generic:
	@echo "This command is intended for maintainers to use"
	@echo "it deletes files that may require special tools to rebuild."
clean-local:
clean: clean-am

clean-am: clean-generic clean-local mostlyclean-am

distclean: distclean-am
	-rm -f Makefile
distclean-am: clean-am distclean-generic

dvi: dvi-am

dvi-am:

html: html-am

html-am:

info: info-am

info-am:

install-data-am:

install-dvi: install-dvi-am

install-dvi-am:

install-exec-am:

install-html: install-html-am

=== po/wesnoth-manual/Makefile ===
# Makefile for PO directory in any package using GNU gettext.
# Copyright (C) 1995-1997, 2000-2005 by Ulrich Drepper <drepper@gnu.ai.mit.edu>
#
# This file can be copied and used freely without restrictions.  It can
# be used in projects which are not available under the GNU General Public
# License but which still want to provide support for the GNU gettext
# functionality.
# Please note that the actual code of GNU gettext is covered by the GNU
# General Public License and is *not* in the public domain.
#
# Origin: gettext-0.14.4
# Modified by Yann Dirson for Battle for Wesnoth, for:
# - WML files support
# - proper behaviour when msgfmt is missing
# - support for relative localedir
# Modified by Guillaume Melquiond for Battle for Wesnoth, for:
# - not shipping .gmo files in dist tarball
# Modified by Nils Kneuper for Battle for Wesnoth, for:
# - remove everything that is not needed for Wesnoth since conditions are
#   never met:
#   * the package name is never gettext-tools, remove everything related
#   * the variable EXTRA_LOCALE_CATEGORIES is always empty, remove the blocks
#     using it
# - add FINDCFG to creating the tarball

PACKAGE = wesnoth
VERSION = 1.6.5
PACKAGE_BUGREPORT = http://bugs.wesnoth.org

SHELL = /bin/sh


srcdir = .
top_srcdir = ../..


prefix = /usr/local
exec_prefix = ${prefix}
datadir = ${datarootdir}
datarootdir = ${prefix}/share
DATADIR = wesnoth
LOCALEDIR = translations
localedir = ${datadir}/${DATADIR}/${LOCALEDIR}
gettextsrcdir = $(datadir)/gettext/po

INSTALL = /scratchbox/tools/bin/install -c
INSTALL_DATA = ${INSTALL} -m 644
MKINSTALLDIRS = $(top_builddir)/config/mkinstalldirs
mkinstalldirs = $(SHELL) $(MKINSTALLDIRS)

GMSGFMT = /scratchbox/tools/bin/msgfmt
MSGFMT = /scratchbox/tools/bin/msgfmt
XGETTEXT = /scratchbox/tools/bin/xgettext
WMLXGETTEXT = $(top_srcdir)/utils/wmlxgettext
MSGMERGE = msgmerge
MSGMERGE_UPDATE = /scratchbox/tools/bin/msgmerge --update
MSGINIT = msginit
MSGCONV = msgconv
MSGFILTER = msgfilter

POFILES = 
GMOFILES = 
UPDATEPOFILES = 
DUMMYPOFILES = 
DISTFILES.common = Makefile.in.in remove-potcdate.sin \
$(DISTFILES.common.extra1) $(DISTFILES.common.extra2) $(DISTFILES.common.extra3)
DISTFILES = $(DISTFILES.common) Makevars POTFILES.in \
$(POFILES) \
$(DISTFILES.extra1) $(DISTFILES.extra2) $(DISTFILES.extra3)

POTFILES = \

CATALOGS = 

# Makevars gets inserted here. (Don't remove this line!)
# Makefile variables for PO directory in any package using GNU gettext.

# Usually the message domain is the same as the package name.
DOMAIN = wesnoth

# These two variables depend on the location of this directory.
subdir = po/$(DOMAIN)
top_builddir = ../..

# These options get passed to xgettext.
XGETTEXT_OPTIONS = --from-code=UTF-8 --sort-by-file --keyword=sgettext --keyword=vgettext --keyword=_n:1,2 --keyword=sngettext:1,2 --keyword=vngettext:1,2

# This is the copyright holder that gets inserted into the header of the
# $(DOMAIN).pot file.  Set this to the copyright holder of the surrounding
# package.  (Note that the msgstr strings, extracted from the package's
# sources, belong to the copyright holder of the package.)  Translators are
# expected to transfer the copyright for their translations to this person
# or entity, or to disclaim their copyright.  The empty string stands for
# the public domain; in this case the translators are expected to disclaim
# their copyright.
COPYRIGHT_HOLDER = Wesnoth development team

# This is the email address or URL to which the translators shall report
# bugs in the untranslated strings:
# - Strings which are not entire sentences, see the maintainer guidelines
#   in the GNU gettext documentation, section 'Preparing Strings'.
# - Strings which use unclear terms or require additional context to be
#   understood.
# - Strings which make invalid assumptions about notation of date, time or
#   money.
# - Pluralisation problems.
# - Incorrect English spelling.
# - Incorrect formatting.
# It can be your email address, or a mailing list address where translators
# can write to without being subscribed, or the URL of a web page through
# which the translators can contact you.
MSGID_BUGS_ADDRESS =http://bugs.wesnoth.org/

# This is the list of locale categories, beyond LC_MESSAGES, for which the
# message catalogs shall be used.  It is usually empty.
EXTRA_LOCALE_CATEGORIES =

.SUFFIXES:
.SUFFIXES: .po .gmo .mo .sed .sin .nop .po-create .po-update

.po.mo:
	@echo "$(MSGFMT) -c -o $@ $<"; \
	$(MSGFMT) -c -o t-$@ $< && mv t-$@ $@

.po.gmo:
	@lang=`echo $* | sed -e 's,.*/,,'`; \
	test "$(srcdir)" = . && cdcmd="" || cdcmd="cd $(srcdir) && "; \
	echo "$${cdcmd}rm -f $${lang}.gmo && $(GMSGFMT) -c --statistics -o $${lang}.gmo $${lang}.po"; \
	cd $(srcdir) && rm -f $${lang}.gmo && $(GMSGFMT) -c --statistics -o t-$${lang}.gmo $${lang}.po && if test -f t-$${lang}.gmo; then mv t-$${lang}.gmo $${lang}.gmo; fi

.sin.sed:
	sed -e '/^#/d' $< > t-$@
	mv t-$@ $@


all: all-yes

all-yes: stamp-po
all-no:

# $(srcdir)/$(DOMAIN).pot is only created when needed. When xgettext finds no
# internationalized messages, no $(srcdir)/$(DOMAIN).pot is created (because
# we don't want to bother translators with empty POT files). We assume that
# LINGUAS is empty in this case, i.e. $(POFILES) and $(GMOFILES) are empty.
# In this case, stamp-po is a nop (i.e. a phony target).

# stamp-po is a timestamp denoting the last time at which the CATALOGS have
# been loosely updated. Its purpose is that when a developer or translator
# checks out the package via SVN, and the $(DOMAIN).pot file is not in SVN,
# "make" will update the $(DOMAIN).pot and the $(CATALOGS), but subsequent
# invocations of "make" will do nothing. This timestamp would not be necessary
# if updating the $(CATALOGS) would always touch them; however, the rule for
# $(POFILES) has been designed to not touch files that don't need to be
# changed.
stamp-po: $(srcdir)/$(DOMAIN).pot
	test ! -f $(srcdir)/$(DOMAIN).pot || \
	  test -z "$(GMOFILES)" || $(MAKE) $(GMOFILES)
	@test ! -f $(srcdir)/$(DOMAIN).pot || { \
	  echo "touch stamp-po" && \
	  echo timestamp > stamp-poT && \
	  mv stamp-poT stamp-po; \
	}

# Note: Target 'all' must not depend on target '$(DOMAIN).pot-update',
# otherwise packages like GCC can not be built if only parts of the source
# have been downloaded.

# This target rebuilds $(DOMAIN).pot; it is an expensive operation.
# Note that $(DOMAIN).pot is not touched if it doesn't need to be changed.
$(DOMAIN).pot-update: $(POTFILES) $(srcdir)/POTFILES.in remove-potcdate.sed
	if test -n '$(MSGID_BUGS_ADDRESS)' || test '$(PACKAGE_BUGREPORT)' = '@'PACKAGE_BUGREPORT'@'; then \
	  msgid_bugs_address='$(MSGID_BUGS_ADDRESS)'; \
	else \
	  msgid_bugs_address='$(PACKAGE_BUGREPORT)'; \
	fi; \
	$(XGETTEXT) --default-domain=$(DOMAIN) --directory=$(top_srcdir) \
	  --add-comments=TRANSLATORS: $(XGETTEXT_OPTIONS) \
	  --files-from=$(srcdir)/POTFILES.in \
	  --copyright-holder='$(COPYRIGHT_HOLDER)' \
	  --msgid-bugs-address="$$msgid_bugs_address" \
	  --keyword=_ --keyword=N_ \
	  --output=$(DOMAIN).cpp.po
	if test -f $(DOMAIN).cpp.po ; then \
	  sed s/charset=CHARSET/charset=UTF-8/ $(DOMAIN).cpp.po > $(DOMAIN).cpp1.po ;\
	fi
	if test -r $(srcdir)/FINDCFG ;\
	then ${WMLXGETTEXT} --directory=$(top_srcdir) --domain=$(DOMAIN) \
	  `cd $(top_srcdir) && sh $(subdir)/FINDCFG` > $(DOMAIN).wml.po ;\
	fi
	if test -f $(DOMAIN).wml.po -a -f $(DOMAIN).cpp1.po ; then \
	  msgcat --sort-by-file $(DOMAIN).cpp1.po $(DOMAIN).wml.po -o $(DOMAIN).po ;\
	elif test -f $(DOMAIN).wml.po ; then \
	  mv $(DOMAIN).wml.po $(DOMAIN).po ;\
	else \
	  mv $(DOMAIN).cpp1.po $(DOMAIN).po ;\
	fi
	rm -f $(DOMAIN).cpp.po $(DOMAIN).cpp1.po $(DOMAIN).wml.po
	test ! -f $(DOMAIN).po || { \
	  if test -f $(srcdir)/$(DOMAIN).pot; then \
	    sed -f remove-potcdate.sed < $(srcdir)/$(DOMAIN).pot > $(DOMAIN).1po && \
	    sed -f remove-potcdate.sed < $(DOMAIN).po > $(DOMAIN).2po && \
	    if cmp $(DOMAIN).1po $(DOMAIN).2po >/dev/null 2>&1; then \
	      rm -f $(DOMAIN).1po $(DOMAIN).2po $(DOMAIN).po; \
	    else \
	      rm -f $(DOMAIN).1po $(DOMAIN).2po $(srcdir)/$(DOMAIN).pot && \
	      mv $(DOMAIN).po $(srcdir)/$(DOMAIN).pot; \
	    fi; \
	  else \
	    mv $(DOMAIN).po $(srcdir)/$(DOMAIN).pot; \
	  fi; \
	}

# This rule has no dependencies: we don't need to update $(DOMAIN).pot at
# every "make" invocation, only create it when it is missing.
# Only "make $(DOMAIN).pot-update" or "make dist" will force an update.
$(srcdir)/$(DOMAIN).pot:
	$(MAKE) $(DOMAIN).pot-update

# This target rebuilds a PO file if $(DOMAIN).pot has changed.
# Note that a PO file is not touched if it doesn't need to be changed.
$(POFILES): $(srcdir)/$(DOMAIN).pot
	@lang=`echo $@ | sed -e 's,.*/,,' -e 's/\.po$$//'`; \
	if test -f "$(srcdir)/$${lang}.po"; then \
	  test "$(srcdir)" = . && cdcmd="" || cdcmd="cd $(srcdir) && "; \
	  echo "$${cdcmd}$(MSGMERGE_UPDATE) $${lang}.po $(DOMAIN).pot"; \
	  cd $(srcdir) && $(MSGMERGE_UPDATE) $${lang}.po $(DOMAIN).pot; \
	else \
	  $(MAKE) $${lang}.po-create; \
	fi


install: install-exec install-data
install-exec:
install-data: install-data-yes
install-data-no: all
install-data-yes: all
	$(mkinstalldirs) $(DESTDIR)$(datadir)
	@catalogs='$(CATALOGS)'; \
	for cat in $$catalogs; do \
	  cat=`basename $$cat`; \
	  lang=`echo $$cat | sed -e 's/\.gmo$$//'`; \
	  dir=$(localedir)/$$lang/LC_MESSAGES; \
	  $(mkinstalldirs) $(DESTDIR)$$dir; \
	  if test -r $$cat; then realcat=$$cat; else realcat=$(srcdir)/$$cat; fi; \
	  $(INSTALL_DATA) $$realcat $(DESTDIR)$$dir/$(DOMAIN).mo; \
	  echo "installing $$realcat as $(DESTDIR)$$dir/$(DOMAIN).mo"; \
	done

install-strip: install

installdirs: installdirs-exec installdirs-data
installdirs-exec:
installdirs-data: installdirs-data-yes
installdirs-data-no:
installdirs-data-yes:
	$(mkinstalldirs) $(DESTDIR)$(datadir)
	@catalogs='$(CATALOGS)'; \
	for cat in $$catalogs; do \
	  cat=`basename $$cat`; \
	  lang=`echo $$cat | sed -e 's/\.gmo$$//'`; \
	  dir=$(localedir)/$$lang/LC_MESSAGES; \
	  $(mkinstalldirs) $(DESTDIR)$$dir; \
	done

# Define this as empty until I found a useful application.
installcheck:

uninstall: uninstall-exec uninstall-data
uninstall-exec:
uninstall-data: uninstall-data-yes
uninstall-data-no:
uninstall-data-yes:
	catalogs='$(CATALOGS)'; \
	for cat in $$catalogs; do \
	  cat=`basename $$cat`; \
	  lang=`echo $$cat | sed -e 's/\.gmo$$//'`; \
	  for lc in LC_MESSAGES $(EXTRA_LOCALE_CATEGORIES); do \
	    rm -f $(DESTDIR)$(localedir)/$$lang/$$lc/$(DOMAIN).mo; \
	  done; \
	done

check: all

info dvi ps pdf html tags TAGS ctags CTAGS ID:

mostlyclean:
	rm -f remove-potcdate.sed
	rm -f stamp-poT
	rm -f core core.* $(DOMAIN).po $(DOMAIN).1po $(DOMAIN).2po *.new.po
	rm -fr *.o

clean: mostlyclean

distclean: clean
	rm -f Makefile Makefile.in POTFILES *.mo

maintainer-clean: distclean
	@echo "This command is intended for maintainers to use;"
	@echo "it deletes files that may require special tools to rebuild."
	rm -f stamp-po $(GMOFILES)

distdir = $(top_builddir)/$(PACKAGE)-$(VERSION)/$(subdir)
dist distdir:
	$(MAKE) update-po
	@$(MAKE) dist2
# This is a separate target because 'update-po' must be executed before.
dist2: stamp-po $(DISTFILES)
	dists="$(DISTFILES)"; \
	if test -f $(srcdir)/$(DOMAIN).pot; then \
	  dists="$$dists $(DOMAIN).pot"; \
	fi; \
	if test -f $(srcdir)/FINDCFG; then \
	  dists="$$dists FINDCFG"; \
	fi; \
	if test -f $(srcdir)/LINGUAS; then dists="$$dists LINGUAS"; fi; \
	for file in $$dists; do \
	  if test -f $$file; then \
	    cp -p $$file $(distdir) || exit 1; \
	  else \
	    cp -p $(srcdir)/$$file $(distdir) || exit 1; \
	  fi; \
	done

update-po: Makefile
	$(MAKE) $(DOMAIN).pot-update
	test -z "$(UPDATEPOFILES)" || $(MAKE) $(UPDATEPOFILES)
	$(MAKE) update-gmo

# General rule for creating PO files.

.nop.po-create:
	@lang=`echo $@ | sed -e 's/\.po-create$$//'`; \
	echo "File $$lang.po does not exist. If you are a translator, you can create it through 'msginit'." 1>&2; \
	exit 1

# General rule for updating PO files.

=== debian/changelog ===
wesnoth (1.6.5-maemo6) unstable; urgency=low

  * trying to fix segfaulting build.

 -- mece <mece@ovi.com>  Mon, 14 Jun 2010 00:24:27 +0300

=== debian/control ===
Source: wesnoth
Section: user/games
Priority: extra
Maintainer: Marcus Wikstrom <mece@ovi.com>
Build-Depends: debhelper (>= 5), libvorbisidec-dev, libsdl-mixeroggwav1.2-dev,
 libsdl-net1.2-dev, libsdl-ttf2.0-dev, libboost-iostreams1.38-dev, libboost-regex1.38-dev,
 libpng12-dev, libsdl-image1.2-dev, libpango1.0-dev, libcairo2-dev
Standards-Version: 3.7.2

Package: wesnoth
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, libvorbisidec1, libsdl-net1.2, libsdl-ttf2.0-0,
 libboost-iostreams1.38.0, libboost-regex1.38.0, wesnoth-data
XB-Maemo-Display-Name: The Battle For Wesnoth
XB-Description: The Battle for Wesnoth
 A Free, turn-based tactical strategy game with a high fantasy theme, 
 featuring both single-player, and online/hotseat multiplayer combat.
 Fight a desperate battle to reclaim the throne of Wesnoth,
 or take hand in any number of other adventures...
XSBC-Bugtracker: http://talk.maemo.org/showthread.php?t=41040
XB-Maemo-Icon-26:
 iVBORw0KGgoAAAANSUhEUgAAADAAAAAwCAYAAABXAvmHAAAAAXNSR0IArs4c
 6QAAAAZiS0dEAP8A/wD/oL2nkwAAAAlwSFlzAAALEwAACxMBAJqcGAAAAAd0
 SU1FB9oCCQgJFL2yt48AABP9SURBVGjezZp5nFXFlcd/VXd/7/Xr9fXG1uzd
 QEPTQLMpEpQgKNHEJUZFJ5kQTYwZY6LJZCaTkYlxxsQsTvIxbtFkjEajEwUk
 CigCIksv0HQ3S9ttQy/09vbtrlU1f7QQUBCM/jHnr1u37qt7vueec+u8cy6E
 EBBC4KScfvz/TYQQcNmIfpxzAAAlhIAQMjLputrRI4f8AFBaFPxEN1u+bNmp
 47lzav/udXyBv+kRjcZHMc+TAYBS+reLfvXwIwiHw6XxWOT1f7nnju+ePF9U
 mP+xbrZz586PnF+wYMHHWm/M2NGnD8fu2P7Wvr7e7pWCu/SMCzf9dTPduGHj
 V5956jfixquX9JSXFCw724LvdXWdMe7sHTzjcZ6UZDKK8lFjKAANgAyAnD4/
 Zcrks7rriaHY2UkUnzF+7Kjnr7vyIv6XF54+uv3NTTlnu8wA8PDKZfNSV61c
 2publ7/oDOtu3Xi6L5JzxcpXvvYVqaiouMDnz50zvarixksumnk5iDIBgP4R
 vk2EEKes2j+YRmHRqaevjxs39rerL7/EXXXpvMMAvvi+UUbka9/8zulrEb8/
 8L3JkyZ6tTU1h4tDRdWnTzZu2ygP9HXPbD3YuGrr5vUlJ8+/9dYmzJ+/UAFQ
 BGB+1bRJd11x+aI3fv3QXcmXnlnXedMXlz0yf8HMzwGYBCAAgBLqBwDcdvvt
 6osvPLf4UOv+FUKIwAfYaChU+IvqGdPZ1ClTDvmMwNIPwkuN+3afcULXjeZo
 NOL4fMYXysrKFpimucM0rTAAacWKZZ+3bOuXhw423L1966a+vY1tDYqao//u
 yadG9/X1LpwzZ/o1tbNnfGPtbV9ac/O1SyYP9HPtWE8y/6oraudOrKy8KCfg
 mzyhoqRgoD+iW3aGAbDSyXiNnQo/JsH5RiKZCtxxx51tjz/xRAoADRUXfX/0
 qFH32Lbb3XXs2J2Wbb4BAIX5uTAte8TiJxWfOXMWDh5sPsWhqur9FRXj7gjm
 +N5UqPSDK1etWugLKN/YuXMn3bNrN9V0Xy9RlD/m5AaksvJQXWFB4WUXXzx/
 wmc+swDt7YN49JFNor6xnRDhiIJQCVn75aWoWzAVnUcOobGxpTHjuG+fGAwf
 OtZxfKxrmte5ruvOqpkdXLb8s29e+4Xrf3H99dcvTaTS9zmuZ/b2nfh6Npt9
 +Wzud0Zw7dq1C4sXLz45zPUZxr/XzKy6dflnlqR8gbzAG9u2DTc17t07v262
 UloSqh4zbpRfNXy5eQX5BaPKytDVE8XrrzaIttZuKKog/qACKiiGw0n09Z0Q
 RYUluHLlPDJ/7ngISpE2M3HXNZPR/t4TQ33dR/c0Hi4qHzt50bXXXjeUjEWK
 t27bntpTf+C7pmW/CECcF+CDMq5i/NSVy5e8Mq+mauqG9Ru8toZ90RuuWU4v
 Xn5pjkdUbSDm4Hh/HB0d/ThyqFPEzCwCWoCosgzOOJjL4TouXNcRpuOSeCaL
 TNIWmmZgdFkBqZ09HjOmjcOoAiDkt7PNDU3p51952xhXNTNnxcqViMYzP33y
 mZd+1HO8y5w3bw7q6xvPD/CXZ57F52++Ebo/J7Dmhuv+ubAg52t79uzWUkM9
 gfICHwmNrgCMfBzpjuLEYEIIAuT6NaiyQhgAmfoEXE4c1wVzGGzbhuu5MB0O
 jzNBGCMOZ+DMEzIEGCcQKiHjxwSRL1uQrDiyjutIwTJ2ydKlDbW1c+667ku3
 NAHAb3/xMG7/9rfODXDvjf+AB599GtOqaowF86rvCoXy7tz59q5X39nbpFSN
 C11TPrYk0JWUwW1P+Pw6FEUmkFTInAGAIEQjitCRydowTRtcMKiajMHhKFIp
 E7oCGJoKj3uCc050Q4ekUaRsU2RND55pk+mjFAQVr3v34f5Xa2fNmL169eVD
 ZSXld99+592dZ/MS+fTBg88+DQC4e+2auZJPvmfH9je3v7O36QEAKwT3Lldl
 BIKGDOgqkQgBFwScM0iUwrRsYjscPklBaXkJKsYWIJSvIKA66At7aO+KoKG+
 BUNDEciyRAJBHVzx4HoUFBLJ9RNYioeAT4EiWDJgyK82Nbe+XDG65Pczbqpa
 K4T4MSEk/ZEAJ6XrWIeTNBNe3/FODmAQgEIAQgWBgDwSToRDlgQsy0bcBfIK
 87CgqgrVk0sRCtoI+ihyZQ8BVUY4wWEtLsHxpWPRMcDw1vZGNLd1gnomCnLy
 IVEBDx4YHFAiQwaRCYEA4EWGTvC3d7w1ejAS0QB8CEA6ffC9m76MXS0HsHNv
 Q/TokbawpOhkOJrqBsSkmqryJWMqyn1d4SwUCoDK8JiEiWOK8LnLZ+GG1dW4
 ZEYeppRylPmT0FgaOjJQ4MLLRCFbgxgXUjC7MoRLl0zC/MWV8GkK+k8kYXsu
 OKGwLRclBoFOEe2PZXcqml8zdCXZ0ND4x+df2tQBgH8kwK6WAycPPdsVbUOR
 RKuuqdxjrGbFZdWLx08eZ9Qf7YWsA1yoABSsXV2J6y4bh0ljAiBOEq5jQVEM
 +IO50DUCVZMgyRS2ZYExFzwbRmmhgsVzKzBxbDHeaRpA70AEqqrCcz2U+Al0
 GbGBePYd28PuvoHwtlTWPQqAz59Vgb7B+Pld6H2xAfRatl0MQE5HoiSV64dC
 CGTIYESBJGsoyZNAeAbJFIMcKEJhUSEUzQ+PebDj3ZC8BLjqQ3FODsAZsokE
 IoODyCQTkI0QNEMDB4WqKsjYCiARGKogAU0l0XR6GIB5UqG9zcdwQTFwFqHZ
 ZIZa6SxkiUIhCqgkgXMXDBycKpD0HMhaEYSUi3iaQ1cFlNwCmElAURzYaRkD
 fcMoDvrAOINlZtF3ogeO5UFRFRABgBAIwuFXQIIaJQDoeRW7AOUJADiOA8dz
 oSgyJMqhwoVCFFjMgBAAlXUIqkGRKXICCvr7ByBJKjiXYTqA4wKFOSoEAEmS
 oWsaPNeD45iglIATgFACTwhEsw6JZ116vo32QgEEAKEZOgzDB84EuCxB1nVQ
 qsDhAq4zEl4ylZA2OQ4dOQ7HtgDB4GZiyGRM6D4DWVdBKmWBc8B1GRQqkMlk
 oEoUEqGCgINDwBKEeCDkglzjAgE4oZRrqgxN1aFQDVQyQBQJXd1pgAESBTh3
 IJMsJozOQWlIBecuVBnQJcCJD0Fyk9BkCfAcyJQgixzEMoAABxOCgED4JQl5
 ui5UVRHnyn8+LgAD4IAQT9cV6JoBnfggUwpwQGg6JFWAOWm42QTgmeAsg6H+
 YWQSMQzHHFgOgVByQAjgmCkwlyFo+JAfKoDrCFBCAEHABFBa5ENFSZCpkuJ+
 WgAcgOVYrufaLiRJgSRDKMSFRDliaQYrwwDLBKUcjANm1kZ5WQFkiUDVA9Ak
 GbKgsB2ACkAmgN9v4ERvGIlECqqmAhIVhAgE82QYQc02XW6+b7xP5QmYhAiH
 Cg7hucJhnHiSBtnwo3cghlhWwEqZYI4LWVIQChVDkXVoqh+KKgNcQAJB0CeD
 cQbBPUBS0TFow2MMkiJBopwo8Igha/A4zQwk7OSnAqDJsgcg5bjMBOfwqxKB
 4EJ4HiSJY6DfxVBagPg1UHgAM8EcC5RKsCwbqUQSEhUQnMF1AIUqUGUJyayF
 prYIdF0FOIdwTeGXJAQNA7bjxJmbSX0qALNqaz0A8YFwKhWPp+FTCCzbJS5j
 wvM8xM0UDh4dAIMExjJgThzCTcIzE6DCBYEEx7JBQCBLFBACniBobQ9j/6EO
 GHkULnPBiYKcXAOWnfXCkXgYQOITxcDJqoNpmh6AaCLjRinhKMyVwQUXjmMT
 13JAJQ9NhxOIDWchXAvcy0A4CTDXhue4COocWceDZSbhOBYIIQgGctHab2G4
 LwJdk+EyIVwikdKiHOiGno5bogdA/BO9Rsn7r+GWlhYBIBZO8xN21nXyfQYk
 Iw9U1sCFAOUcg8MZxFIcwnQhrBgEy4BSiuGoB8g5UBUOJxtHMhmBokiwPIJt
 73QBPoB5HojgBAwIBQ0oshLrCVvHzpZ5/r1BDFA5kUiZx5KpbEJDGkGdES64
 cGwHzGWIJGLYdzQM1xKQLBvMdSBTB8WFMhLRISjChOtloSgSdM1Ae28K+w72
 Iy8vF8zzhCAEfoOgJFcF97yeQ50DnafnQJ8YwNDUFICOsMkG8nwUIU0CmEwk
 QQUIgaTKeKuhGz1xDzQNUNuB42ShqxzlJTIAG5QKaIoKLihe33sM6YwDSggo
 KHFdTxTm+TBl6tSMlldylAvRDcD7xAAn48AwNAvA0a5hr33M1Ap3+swyCCYJ
 VajEczwwxtF+PIY9bVFEsgJ2ikFxHGhuAsRKgFhpMEeAkAD6Yy5efrMdmm/k
 d1wAZjaLaRPGYvL48UONbd3NAAYutH76kQAn4yAajQlC0Hv4aG9zd1xEFs4p
 w6gSGbbMQWUCSZKgazL+/HoHDg5yJJIcPseBQQnyKUWuHIDMfOhLuHjo+VYM
 DCUhyWQkeeNM5Og+Ulc1mlGW6Vi/ub7tQv3/wmMAwJgxY2OA1/DyhoYODRyL
 ZoUIwAWoBEok+PwqBlI2Xni7F3pxPiDJEIyDExk+n4HRU8swzBVs3NoCJccA
 EwTctWBbDplVWYopo+TM69v2HATw7oW8/y8YwHUdAEB3d7cDILxjx0H2162H
 UDczhHFlATiMjyRjrhChIgPNrT14elMnIlxFJJxGJmOhLwbsO+7hngdeA/HJ
 IAoEKIXnSQgYmlhQ6UdX57vqY39uICet//OHfn5BANL5YkCSRv7z/Om5P+Vr
 mvLVYCDn6u5BS12+bJpQCSGH2sOCC4CCEM8T0DUVLUfC0DUVhkrBmcCeDgf3
 PLQNsXQGmg4QwQgFESrJRd30ErJgqi5efqtbKR47rfSaq1b17d6zt+X1za/j
 jju+ifr6fX8fAOf8VBfkx/9xf9nwcPjeBQsXfX327Jk5e/cdEKlknFzx2Vl4
 rzOJE4MpSIpEKKXwuIAHgfaOYTChYSAlobEjjIaWbhgqBROekCkngIT83Bzc
 cl0tSdsO2dWcErfcdH1+TU1tzcyZsxJvvLG1rb5+H7/lllvR3Nz88QBaWlpQ
 Wlo6Uv6+7fYSwzDurauru3PatGm+SCTCo5Ew3V1/GLNqRou5NWPJ3sZjxLIA
 SVXgMVcQKkjK9PDe8TT6Ihb2t/VBISMBSyRCICA8h+OSRRVk+bJJeO4vrSgp
 qSCVUyfzGTOmF4yfMKFuwoSJya1bt7Q2NzezBx98EFu2bLlwgObmZvT09OCJ
 x54IhkJF35w7b+6dCxcuMFoPtvCdO3ZRAjrc0tK2t77xiH3b2iV5JYW5UlPT
 gGCCgYMTJriQJBDLsRCPWyCEwvM84VJGOEY2wKoJJeTH/7o6u3lzfeuG19qS
 M6ZXFZmmQwDB58+vC44aPWrOnDlz3nvllVeObNmyRaxZswYHDx48P4DneVi7
 di0AkIuXXHx5VWXluosuuqjgnV27xfr1r9JYLJ4YGOx/qrVt/5M9vYOZTBYT
 b1mzKM/NWKS1fQgeGKhwCecOmOuBCg2ECDiOSxzqCdv1MLpIIw/cu4xDpm3f
 +u4fHs+a2c2UkGJd18cNDg4Ry7LE/Pnzgnl5eZOqq6t3bNy4Mdzc3Iz77rvv
 /ADr1q0bCdrnn5+ua9ojc+bOG//Ort1i44aNJBqNxt/r6nxq59s7HrFtpxlA
 cv+BriLHcsZ99dZFRibN0NQySGRVwBFCCJcQyggYY4JxTmzHIwFdIT9b93n4
 iNV/+3effTEWz74AYM/g4OAxyzLLdV2fEI/FSSwWR1VlZZnP51fnzJm7va5u
 nv3DH/4QO3bsODfAk088ifXr1+OKVSvzysvKfjV/wcIlbW2HsGXzFtLdczzV
 2nrw10eOHnnYcZzjAITPp8dd14k3NnUWaP680f90e50+fHxAHDiSgqJSIt4v
 sYMIks46wjA0PPrTz5GyMfnRe37w7Mb2zqFnCvL9R03L9QB0R2PRI9FYJCQE
 r7QtB9msierqGTXRaKTvpZdeat6xYwdbt24dtm3b9mGAWTUz8dhjj+N/fv+M
 smjx4jWVlZXfOX6sm7z8vy+jo/PdrgMHmu7v6e19jDE29Lc9wvM0TRn2GIs2
 NHXkSoq/7J5/nGYMv9tP2o+7gniMeIyBAaI4oJB/vXkMqakpj975/T9vadzf
 9bQkkaZs1nFOKx70ZbPZ/eHwsGLZVlU8Flc557RuQd3Mm26++bXfPfnk0OnK
 nwEwODDSMi0M5Y/Nz8v7STZjjn700UdFR8e7m4+0H/m3WCz24ulbvCRJEEKA
 Me4YhjFoWWakoanTGIqY5ZdMVHxFGkXXsIDJKMYXUNxQq5OUmRr+0W+2v9bU
 fOwPAPYIgexIX06H553K3SKu5+2LRqNDyURiQlfXsUJdM3JLikPJ//yvB3b/
 7GcPuXd/+27s3rP7w/2BtWvXKn6f/1YhxOP1++oHWtpanmaM/T6bzbafrbB6
 +oYXDObkplLpWkVRbqiZWLj60qlFZe0DFhJcR5CkYXv8RON7wxsG4+ZzAPab
 0U1Jo2DVqa8ETuZep7VvfbIkLVRV7Y6y8vIrV1+5ur+oqOgLw5GBxl/98r/P
 VODaa68FAFx26aXG/Lq6e8tKS19SVfWzAPwXmpOsWrUamqZpAGZTSn6S59cO
 z5tcZF8xt9ydMb74sCLR+wHUANDmzKoAACxdWvPhnraifLAqWEwIuaOwsHDD
 xIkTV9TW1kofkbCNUVVVnQVgzIUqfvXVV50xVlVVAcgkAGtliTxRkOt7QpLo
 10EwGcAp7XJyjHOuGQgEPsQFoJpSOkGW5XPnbyUlJedt/J1LTrdcaWk5lWUp
 n1JpEoAphNACQi488/2IGu3Zdbvmmms+lc9hRjwIuOyyFQCA6upqUlZWRj6N
 Nc8l/wdEvNIkWzhyGAAAAABJRU5ErkJggg

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1


# These are used for cross-compiling and for saving the configure script
# from having to guess our platform (since we know it already)
DEB_HOST_GNU_TYPE   ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)
DEB_BUILD_GNU_TYPE  ?= $(shell dpkg-architecture -qDEB_BUILD_GNU_TYPE)


CFLAGS = -Wall -g

ifneq (,$(findstring noopt,$(DEB_BUILD_OPTIONS)))
	CFLAGS += -O0
else
	CFLAGS += -O0
endif

config.status: configure
	dh_testdir
	# Add here commands to configure the package.
	./configure --host=$(DEB_HOST_GNU_TYPE) --build=$(DEB_BUILD_GNU_TYPE) --prefix=/opt/wesnoth --mandir=\$${prefix}/share/man 
--infodir=\$${prefix}/share/info LDFLAGS="-Wl,-z,defs"


build: build-stamp

build-stamp:  config.status
	dh_testdir

	# Add here commands to compile the package.
	$(MAKE)
	#docbook-to-man debian/wesnoth.sgml > wesnoth.1

	touch $@

clean:
	dh_testdir
	dh_testroot
	rm -f build-stamp 

	# Add here commands to clean up after the build process.
	-$(MAKE) distclean
ifneq "$(wildcard /usr/share/misc/config.sub)" ""
	cp -f /usr/share/misc/config.sub config.sub
endif
ifneq "$(wildcard /usr/share/misc/config.guess)" ""
	cp -f /usr/share/misc/config.guess config.guess
endif


	dh_clean 

install: build
	dh_testdir
	dh_testroot
	dh_clean -k 
	dh_installdirs

	# Add here commands to install the package into debian/wesnoth.
	$(MAKE) DESTDIR=$(CURDIR)/debian/wesnoth install
	mkdir -p "$(CURDIR)/debian/wesnoth/usr/share/applications/hildon/"
	cp -a "$(CURDIR)/icons/wesnoth.desktop" "$(CURDIR)/debian/wesnoth/usr/share/applications/hildon/wesnoth.desktop"
 

# Build architecture-independent files here.
binary-indep: build install
# We have nothing to do by default.

# Build architecture-dependent files here.
binary-arch: build install
	dh_testdir
	dh_testroot
	dh_installchangelogs changelog
	dh_installdocs
	dh_installexamples
#	dh_install
#	dh_installmenu
#	dh_installdebconf	
#	dh_installlogrotate
#	dh_installemacsen
#	dh_installpam
#	dh_installmime
#	dh_python
#	dh_installinit
#	dh_installcron
#	dh_installinfo
	dh_installman
	dh_link
	dh_strip
	dh_compress
	dh_fixperms
#	dh_perl
#	dh_makeshlibs
	dh_installdeb
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install
